/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/AccountSettings.framework/AccountSettings
 */

#import <AccountSettings/AccountsManager.h>


@class NSMutableDictionary, NSMutableArray, NSArray;

@interface AccountsManager : NSObject {
	NSMutableDictionary *_topLevelAccountsByID;	// 4 = 0x4
	NSMutableArray *_orderedTopLevelAccounts;	// 8 = 0x8
	NSMutableDictionary *_childAccountsByID;	// 12 = 0xc
	NSMutableDictionary *_childAccountIDToParentAccountID;	// 16 = 0x10
@private
	NSMutableDictionary *_originalAccountsByID;	// 20 = 0x14
	unsigned _dataVersion;	// 24 = 0x18
	NSArray *_runtimeFixers;	// 28 = 0x1c
}
+ (void)_migrateAccountsIfNeeded;	// 0x45dd
+ (void)accountWillChange:(id)account forDataclass:(id)dataclass;	// 0x4439
+ (void)accountDidChange:(id)account forDataclass:(id)dataclass;	// 0x4295
+ (id)displayNameForGroupOfAccountType:(id)accountType forBeginningOfSentence:(BOOL)sentence;	// 0x3de5
+ (id)_notifierClassNamesForAccountType:(id)accountType dataclass:(id)dataclass;	// 0x3eb5
- (id)init;	// 0x3851
- (void)dealloc;	// 0x7751
- (id)accountWithIdentifier:(id)identifier;	// 0x388d
- (id)displayAccountWithSyncIdentifier:(id)syncIdentifier;	// 0x3919
- (id)syncableAccountWithSyncIdentifier:(id)syncIdentifier;	// 0x7581
- (id)allBasicAccounts;	// 0x3961
- (id)allBasicSyncableAccounts;	// 0x3999
- (id)basicAccountsWithTypes:(id)types;	// 0x7475
- (id)fullDeviceLocalAccount;	// 0x72b1
- (id)fullAccountWithIdentifier:(id)identifier loader:(id)loader;	// 0x3a09
- (id)allMailAccounts;	// 0x3a85
- (id)accountsWithTypes:(id)types;	// 0x3b21
- (id)accountsWithTypes:(id)types withLoader:(id)loader;	// 0x7029
- (unsigned)count;	// 0x3b35
- (void)updateAccount:(id)account;	// 0x6efd
- (void)insertAccount:(id)account;	// 0x6e2d
- (void)deleteAccount:(id)account;	// 0x6cf5
- (void)deleteAccountWithIdentifier:(id)identifier;	// 0x3b55
- (void)replaceAccount:(id)account withAccount:(id)account2;	// 0x3b95
- (void)replaceAccountsWithTypes:(id)types withAccounts:(id)accounts;	// 0x679d
- (void)removeChildWithIdentifier:(id)identifier fromAccount:(id)account;	// 0x6621
- (void)addChild:(id)child toAccount:(id)account;	// 0x3c99
- (id)mergeInMemoryProperties:(id)memoryProperties originalProperties:(id)properties onDiskProperties:(id)properties3;	// 0x63a1
- (void)saveAllAccounts;	// 0x5cad
- (void)_removeChildrenForAccountWithIdentifier:(id)identifier;	// 0x5b25
- (void)_loadChildrenFromAccount:(id)account;	// 0x5971
- (id)_initWithAccountsInfo:(id)accountsInfo;	// 0x5549
- (id)_createRuntimeFixers;	// 0x3d75
- (unsigned)countOfBasicAccountsWithTypes:(id)types;	// 0x5469
- (void)_setOriginalAccountDictionaries;	// 0x52e9
- (void)_addNotificationToDictionary:(id)dictionary forChangeType:(int)changeType originalProperties:(id)properties currentProperties:(id)properties4;	// 0x4be9
- (void)_sendNotificationsForChangedAccounts;	// 0x472d
@end

@interface AccountsManager (MigrationSupport)
+ (void)killDataAccessIfNecessary;	// 0x7e31
+ (id)createAndLockMigrationLock;	// 0x78f5
+ (void)releaseMigrationLock:(id)lock;	// 0x7945
+ (void)waitForMigrationToFinish;	// 0x7975
+ (void)removeNewAccountSettingsToMigrateOldAccountInformation;	// 0x7c81
+ (void)shouldMigrateOldMailAccounts:(BOOL *)accounts oldDAAccounts:(BOOL *)accounts2 newAccountSettings:(BOOL *)settings;	// 0x79e9
+ (BOOL)accountSettingsNeedsToBeMigrated;	// 0x7bd1
+ (BOOL)_oldDAAccountsInformationFound;	// 0x7fb9
+ (BOOL)_oldMailAccountsInformationFound;	// 0x8049
- (void)setDataVersion:(unsigned)version;	// 0x3841
@end

@interface AccountsManager (Private)
+ (unsigned)currentVersion;	// 0x381d
+ (id)fullPathToAccountSettingsPlist;	// 0x7d1d
+ (void)_setShouldSkipNotifications:(BOOL)_set;	// 0x3831
- (id)initWithAccounsInfoArray:(id)accounsInfoArray;	// 0x7801
- (id)initInsideOfMigration;	// 0x7811
- (unsigned)dataVersion;	// 0x3821
@end
