/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/AppleAccount.framework/AppleAccount
 */

#import <AppleAccount/ASDynamicAccountClassLoader.h>
#import <AppleAccount/XXUnknownSuperclass.h>

@class NSOperationQueue, NSString, NSDictionary, NSLock, NSArray;

@interface AAAccount : XXUnknownSuperclass <ASDynamicAccountClassLoader> {
	NSString *_cachedPassword;	// 24 = 0x18
	NSString *_cachedToken;	// 28 = 0x1c
	NSString *_unsavedToken;	// 32 = 0x20
	NSString *_cachedCommerceToken;	// 36 = 0x24
	NSOperationQueue *_requesterQueue;	// 40 = 0x28
	NSLock *_tokenLock;	// 44 = 0x2c
	NSLock *_passwordLock;	// 48 = 0x30
}
@property(readonly, assign, nonatomic) int mobileMeAccountStatus;	// G=0x3ed1; 
@property(readonly, assign, nonatomic) int accountServiceType;	// G=0x3e9d; 
@property(readonly, assign, nonatomic) NSDictionary *dataclassProperties;	// G=0x3d41; 
@property(readonly, assign, nonatomic) NSArray *provisionedDataclasses;	// G=0x3f39; 
@property(readonly, assign, nonatomic) NSDictionary *serviceUnavailableInfo;	// G=0x4051; 
@property(readonly, assign, nonatomic) BOOL serviceUnavailable;	// G=0x3ff9; 
@property(readonly, assign, nonatomic) BOOL needsRegistration;	// G=0x3e5d; 
@property(readonly, assign, nonatomic) BOOL primaryEmailVerified;	// G=0x3e25; 
@property(assign, nonatomic) BOOL primaryAccount;	// G=0x3d5d; S=0x3da9; 
@property(readonly, assign, nonatomic) NSArray *appleIDAliases;	// G=0x3d8d; 
@property(readonly, assign, nonatomic) NSString *primaryEmail;	// G=0x3e09; 
@property(readonly, assign, nonatomic) NSString *lastName;	// G=0x3d25; 
@property(readonly, assign, nonatomic) NSString *firstName;	// G=0x3d09; 
@property(readonly, assign, nonatomic) NSString *personID;	// G=0x3ced; 
@property(readonly, assign, nonatomic) NSString *authToken;	// G=0x3bc5; 
@property(copy, nonatomic) NSString *password;	// G=0x3ac9; S=0x7605; @synthesize=_cachedPassword
@property(copy, nonatomic) NSString *username;	// G=0x3a3d; S=0x3a5d; 
+ (BOOL)loadBundleForAccountWithProperties:(id)properties;	// 0x75b9
+ (id)propertiesWhichRequireValidation;	// 0x756d
+ (void)setAOSEnabled:(BOOL)enabled;	// 0x650d
+ (BOOL)isAOSEnabled;	// 0x64e9
+ (id)dataclassesBoundToSingleAccount;	// 0x6459
+ (id)dataclassesBoundToSyncAccount;	// 0x63fd
+ (id)dataclassesBoundToPrimaryAccount;	// 0x63a1
+ (id)configuredSyncAccountName;	// 0x6229
+ (BOOL)doesConfiguredSyncAccountExist;	// 0x6159
+ (id)supportedDataclasses;	// 0x386d
+ (id)basicAccountProperties;	// 0x3841
+ (id)classicAccountTypeString;	// 0x3835
+ (id)accountTypeString;	// 0x3829
+ (id)accountWithBasicAccount:(id)basicAccount;	// 0x3541
// declared property setter: - (void)setPassword:(id)password;	// 0x7605
- (void)removeChildAccountWithIdentifier:(id)identifier;	// 0x7419
- (void)addChildAccount:(id)account;	// 0x7359
- (void)_performiCloudMigration;	// 0x6cf9
- (void)removeAppleIDCerts;	// 0x6c99
- (void)configureAppleIDCerts;	// 0x6b99
- (id)_errorWithDescriptionForResponseError:(id)responseError;	// 0x68e9
- (id)_mailChildAccountProperties;	// 0x678d
- (void)_setToken:(id)token;	// 0x66f1
- (id)_deviceSpecificLocalizedString:(id)string;	// 0x65f5
- (BOOL)isConfiguredSyncAccount;	// 0x6581
- (BOOL)becomeConfiguredSyncAccount;	// 0x62c9
- (id)syncStoreIdentifier;	// 0x6269
- (void)setLocationAuthorizationForDeviceLocator:(BOOL)deviceLocator;	// 0x605d
- (void)setupChildMailAccountAndEnable:(BOOL)enable withEmail:(id)email;	// 0x5b49
- (BOOL)needsEmailConfiguration;	// 0x5ab1
- (void)updateAccountWithProvisioningResponse:(id)provisioningResponse;	// 0x5841
- (id)accountFirstDisplayAlert;	// 0x57f9
- (id)accountFooterButton;	// 0x57b1
- (id)accountFooterText;	// 0x5769
- (void)flushCachedPassword;	// 0x5709
- (void)flushCachedTokens;	// 0x56a9
- (void)removePasswordFromKeychain;	// 0x5559
- (void)savePasswordInKeychain;	// 0x53c9
- (void)removeTokensFromKeychain;	// 0x5229
- (void)saveTokensInKeychain;	// 0x50ad
- (void)presentQuotaDepletionAlertForDataclass:(id)dataclass;	// 0x5099
- (void)presentQuotaDepletionAlertForDataclass:(id)dataclass withHandler:(id)handler;	// 0x4d45
- (BOOL)presentQuotaDepletionAlertForDataclassIfNecessary:(id)dataclassIfNecessary;	// 0x4d2d
- (BOOL)presentQuotaDepletionAlertForDataclassIfNecessary:(id)dataclassIfNecessary withHandler:(id)handler;	// 0x4951
- (void)notifyUserOfQuotaDepletion;	// 0x48e5
- (void)cancelNetworkActivity;	// 0x48ad
- (void)resendVerificationEmail:(id)email;	// 0x4785
- (void)authenticateWithHandler:(id)handler;	// 0x4559
- (void)updateAccountPropertiesWithHandler:(id)handler;	// 0x43b5
- (void)registerWithHandler:(id)handler;	// 0x43a5
- (void)signInWithHandler:(id)handler;	// 0x41a5
- (void)setUseCellular:(BOOL)cellular forDataclass:(id)dataclass;	// 0x40d9
- (BOOL)useCellularForDataclass:(id)dataclass;	// 0x4099
// declared property getter: - (id)serviceUnavailableInfo;	// 0x4051
// declared property getter: - (BOOL)serviceUnavailable;	// 0x3ff9
- (void)setEnabled:(BOOL)enabled forDataclass:(id)dataclass;	// 0x3f65
// declared property getter: - (id)provisionedDataclasses;	// 0x3f39
- (BOOL)isProvisionedForDataclass:(id)dataclass;	// 0x3f0d
- (id)propertiesForDataclass:(id)dataclass;	// 0x3ee1
// declared property getter: - (int)mobileMeAccountStatus;	// 0x3ed1
// declared property getter: - (int)accountServiceType;	// 0x3e9d
// declared property getter: - (BOOL)needsRegistration;	// 0x3e5d
// declared property getter: - (BOOL)primaryEmailVerified;	// 0x3e25
// declared property getter: - (id)primaryEmail;	// 0x3e09
// declared property setter: - (void)setPrimaryAccount:(BOOL)account;	// 0x3da9
// declared property getter: - (id)appleIDAliases;	// 0x3d8d
// declared property getter: - (BOOL)primaryAccount;	// 0x3d5d
// declared property getter: - (id)dataclassProperties;	// 0x3d41
// declared property getter: - (id)lastName;	// 0x3d25
// declared property getter: - (id)firstName;	// 0x3d09
// declared property getter: - (id)personID;	// 0x3ced
// declared property getter: - (id)authToken;	// 0x3bc5
// declared property getter: - (id)password;	// 0x3ac9
// declared property setter: - (void)setUsername:(id)username;	// 0x3a5d
// declared property getter: - (id)username;	// 0x3a3d
- (id)displayName;	// 0x39e1
- (id)description;	// 0x3969
- (void)dealloc;	// 0x388d
- (id)initWithProperties:(id)properties;	// 0x35c9
@end
