/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/BluetoothManager.framework/BluetoothManager
 */

#import <BluetoothManager/BluetoothManager-Structs.h>
#import <BluetoothManager/BluetoothManager.h>


@class NSMutableDictionary;

@interface BluetoothManager : NSObject {
	BTLocalDeviceImplRef _localDevice;	// 4 = 0x4
	BTSessionImplRef _session;	// 8 = 0x8
	int _available;	// 12 = 0xc
	BOOL _audioConnected;	// 16 = 0x10
	BOOL _scanningEnabled;	// 17 = 0x11
	BOOL _scanningInProgress;	// 18 = 0x12
	unsigned _scanningServiceMask;	// 20 = 0x14
	BTDiscoveryAgentImplRef _discoveryAgent;	// 24 = 0x18
	BTPairingAgentImplRef _pairingAgent;	// 28 = 0x1c
	BTAccessoryManagerImplRef _accessoryManager;	// 32 = 0x20
	NSMutableDictionary *_btAddrDict;	// 36 = 0x24
	NSMutableDictionary *_btDeviceDict;	// 40 = 0x28
	NSMutableDictionary *_seekingInProgressDict;	// 44 = 0x2c
}
@property(assign) BOOL deviceScanningEnabled;	// G=0x1add; S=0x28f5; converted property
@property(assign, getter=isDiscoverable) BOOL discoverable;	// G=0x281d; S=0x27a1; converted property
@property(assign) BOOL devicePairingEnabled;	// G=0x1b15; S=0x269d; converted property
@property(assign) BOOL connectable;	// G=0x2319; S=0x22c1; converted property
@property(assign) BOOL audioConnected;	// G=0x1b31; S=0x1b41; converted property
+ (id)sharedInstance;	// 0x1bbd
+ (int)lastInitError;	// 0x1ab5
- (BOOL)available;	// 0x1ac5
- (id)init;	// 0x1b5d
- (BOOL)_attach:(id)attach;	// 0x3581
- (BOOL)_setup:(BTSessionImplRef)setup;	// 0x334d
- (void)_cleanup:(BOOL)cleanup;	// 0x31cd
- (void)dealloc;	// 0x318d
- (void)_postNotificationWithArray:(id)array;	// 0x3095
- (void)_postNotification:(id)notification;	// 0x3049
- (void)postNotification:(id)notification;	// 0x3015
- (void)postNotificationName:(id)name object:(id)object;	// 0x2fb1
- (void)postNotificationName:(id)name object:(id)object error:(id)error;	// 0x2f49
- (int)powerState;	// 0x2f05
- (BOOL)powered;	// 0x2ee5
- (BOOL)enabled;	// 0x2ecd
- (BOOL)setPowered:(BOOL)powered;	// 0x2e6d
- (BOOL)setEnabled:(BOOL)enabled;	// 0x2e35
- (void)_powerChanged;	// 0x2dc1
- (BOOL)isAnyoneScanning;	// 0x2d7d
- (id)addDeviceIfNeeded:(BTDeviceImplRef)needed;	// 0x2bed
- (void)_removeDevice:(id)device;	// 0x2b25
- (BOOL)wasDeviceDiscovered:(id)discovered;	// 0x2a8d
// converted property getter: - (BOOL)deviceScanningEnabled;	// 0x1add
- (BOOL)deviceScanningInProgress;	// 0x1aed
- (void)resetDeviceScanning;	// 0x2a61
- (void)_scanForServices:(unsigned)services withMode:(int)mode;	// 0x29bd
- (void)scanForServices:(unsigned)services;	// 0x29a9
- (void)scanForConnectableDevices:(unsigned)connectableDevices;	// 0x2995
// converted property setter: - (void)setDeviceScanningEnabled:(BOOL)enabled;	// 0x28f5
- (void)_restartScan;	// 0x287d
- (void)_setScanState:(int)state;	// 0x1afd
- (void)_discoveryStateChanged;	// 0x2861
// converted property getter: - (BOOL)isDiscoverable;	// 0x281d
// converted property setter: - (void)setDiscoverable:(BOOL)discoverable;	// 0x27a1
// converted property getter: - (BOOL)devicePairingEnabled;	// 0x1b15
// converted property setter: - (void)setDevicePairingEnabled:(BOOL)enabled;	// 0x269d
- (void)cancelPairing;	// 0x265d
- (void)unpairDevice:(id)device;	// 0x25e5
- (id)pairedDevices:(BOOL)devices;	// 0x24c5
- (id)pairedDevices;	// 0x24b1
- (id)pairedLEDevices;	// 0x249d
- (void)setPincode:(id)pincode forDevice:(id)device;	// 0x241d
- (void)acceptSSP:(int)ssp forDevice:(id)device;	// 0x23bd
- (void)connectDevice:(id)device withServices:(unsigned)services;	// 0x2371
- (void)connectDevice:(id)device;	// 0x235d
// converted property getter: - (BOOL)connectable;	// 0x2319
// converted property setter: - (void)setConnectable:(BOOL)connectable;	// 0x22c1
- (id)connectingDevices;	// 0x21ed
- (id)connectedDevices;	// 0x2119
- (BOOL)_onlySensorsConnected;	// 0x2095
- (BOOL)connected;	// 0x2031
- (void)_connectedStatusChanged;	// 0x2015
- (void)_connectabilityChanged;	// 0x1ff9
// converted property getter: - (BOOL)audioConnected;	// 0x1b31
// converted property setter: - (void)setAudioConnected:(BOOL)connected;	// 0x1b41
- (void)startVoiceCommand:(id)command;	// 0x1fad
- (void)endVoiceCommand:(id)command;	// 0x1f61
- (void)_sendSeekStart:(id)start forDevice:(id)device;	// 0x1df1
- (void)_stopSeeking:(id)seeking forDevice:(id)device;	// 0x1d59
- (void)sendContact:(id)contact toDevice:(id)device;	// 0x1ce1
- (void)sendAllContactsToDevice:(id)device;	// 0x1ca5
- (BOOL)isServiceSupported:(unsigned)supported;	// 0x1c6d
- (void)enableTestMode;	// 0x1c2d
@end

@interface BluetoothManager (BluetoothManagerPrivate)
- (BTAccessoryManagerImplRef)_accessoryManager;	// 0x1aa5
@end
