/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/BulletinBoard.framework/BulletinBoard
 */

#import <BulletinBoard/BulletinBoard-Structs.h>

#import <BulletinBoard/XPCProxyTarget.h>

@class NSMutableDictionary, NSMapTable, NSMutableSet;
@protocol BBObserverDelegate;

@interface BBObserver : NSObject <XPCProxyTarget> {
@private
	id _serverProxy;	// 4 = 0x4
	struct {
		unsigned addBulletin : 1;
		unsigned modifyBulletin : 1;
		unsigned removeBulletin : 1;
		unsigned sectionOrderRule : 1;
		unsigned sectionOrder : 1;
		unsigned sectionInfo : 1;
		unsigned sectionParameters : 1;
		unsigned fetchImage : 1;
		unsigned fetchSize : 1;
		unsigned sizeConstraints : 1;
		unsigned multiSizeConstraints : 1;
		unsigned imageForThumbData : 1;
		unsigned sizeForThumbSize : 1;
		unsigned purgeReferences : 1;
	} _delegateFlags;	// 8 = 0x8
	NSMapTable *_bulletinLifeAssertions;	// 12 = 0xc
	NSMutableDictionary *_sectionParameters;	// 16 = 0x10
	NSMutableDictionary *_attachmentInfoByBulletinID;	// 20 = 0x14
	unsigned _numberOfBulletinFetchesUnderway;	// 24 = 0x18
	NSMutableSet *_sectionIDsWithUpdatesUnderway;	// 28 = 0x1c
	NSMutableDictionary *_bulletinUpdateQueuesBySectionID;	// 32 = 0x20
	id<BBObserverDelegate> _delegate;	// 36 = 0x24
	unsigned _observerFeed;	// 40 = 0x28
}
@property(assign, nonatomic) unsigned observerFeed;	// G=0x8451; S=0x53e1; @synthesize=_observerFeed
@property(assign, nonatomic) id<BBObserverDelegate> delegate;	// G=0x8441; S=0x513d; @synthesize=_delegate
+ (void)initialize;	// 0x4e41
// declared property getter: - (unsigned)observerFeed;	// 0x8451
// declared property getter: - (id)delegate;	// 0x8441
- (void)updateSectionParameters:(id)parameters forSectionID:(id)sectionID;	// 0x83d5
- (void)updateSectionInfo:(id)info;	// 0x8395
- (void)updateSectionOrder:(id)order;	// 0x8355
- (void)updateSectionOrderRule:(id)rule;	// 0x82fd
- (void)updateBulletin:(id)bulletin forFeeds:(unsigned)feeds;	// 0x7ea1
- (void)_dequeueBulletinUpdateIfPossibleForSection:(id)section;	// 0x7d49
- (void)_noteCompletedBulletinFetch;	// 0x7bb9
- (void)_performBulletinFetch:(id)fetch;	// 0x7b49
- (void)_noteCompletedBulletinUpdateForSection:(id)section;	// 0x7ac1
- (void)_performOrEnqueueBulletinUpdate:(id)update forSection:(id)section;	// 0x78f1
- (id)proxy:(id)proxy detailedSignatureForSelector:(SEL)selector;	// 0x7759
- (void)_registerBulletin:(id)bulletin withTransactionID:(unsigned)transactionID;	// 0x76dd
- (id)_lifeAssertionForBulletinID:(id)bulletinID;	// 0x7625
- (void)assertionExpired:(id)expired transactionID:(unsigned)anId;	// 0x752d
- (void)_preFetchAttachmentInfoIfNecessaryForBulletins:(id)bulletins withCompletion:(id)completion;	// 0x7481
- (void)_preFetchAttachmentInfoIfNecessaryForBulletin:(id)bulletin withCompletion:(id)completion;	// 0x73d5
- (void)_getAttachmentSizesIfPossibleForBulletins:(id)bulletins withCompletion:(id)completion;	// 0x7185
- (void)_getAttachmentSizesIfPossibleForBulletin:(id)bulletin withCompletion:(id)completion;	// 0x6d19
- (void)_getAttachmentImagesIfPossibleForBulletins:(id)bulletins withCompletion:(id)completion;	// 0x6ac9
- (void)_getAttachmentImagesIfPossibleForBulletin:(id)bulletin withCompletion:(id)completion;	// 0x673d
- (void)_fetchAndProcessImageForBulletinID:(id)bulletinID withKey:(id)key constraints:(id)constraints attachmentType:(int)type completion:(id)completion;	// 0x65b5
- (id)_reasonableConstraintsForAttachmentType:(int)attachmentType;	// 0x642d
- (BOOL)_attachmentSizesFetchedForBulletinID:(id)bulletinID;	// 0x6405
- (BOOL)_attachmentImagesFetchedForBulletinID:(id)bulletinID;	// 0x63dd
- (void)_noteAttachmentSizesFetchedForBulletinID:(id)bulletinID;	// 0x63b1
- (void)_noteAttachmentImagesFetchedForBulletinID:(id)bulletinID;	// 0x6385
- (void)_setAttachmentSize:(CGSize)size forKey:(id)key forBulletinID:(id)bulletinID;	// 0x6351
- (void)_setAttachmentImage:(id)image forKey:(id)key forBulletinID:(id)bulletinID;	// 0x631d
- (CGSize)attachmentSizeForKey:(id)key forBulletinID:(id)bulletinID;	// 0x62d9
- (id)attachmentImageForKey:(id)key forBulletinID:(id)bulletinID;	// 0x62a9
- (id)_attachmentInfoForBulletinID:(id)bulletinID create:(BOOL)create;	// 0x620d
- (id)parametersForSectionID:(id)sectionID;	// 0x61ed
- (void)_getParametersIfNecessaryForSectionIDs:(id)sectionIDs withCompletion:(id)completion;	// 0x5f89
- (void)_getParametersIfNecessaryForSectionID:(id)sectionID withCompletion:(id)completion;	// 0x5dbd
- (void)clearSection:(id)section;	// 0x5d99
- (void)sendResponse:(id)response;	// 0x5d39
- (void)getAttachmentImageForBulletin:(id)bulletin withCompletion:(id)completion;	// 0x5d29
- (void)getRecentUnacknowledgedBulletinsForFeeds:(unsigned)feeds withCompletion:(id)completion;	// 0x5745
- (void)getSortDescriptorsForSectionID:(id)sectionID withCompletion:(id)completion;	// 0x567d
- (void)requestListBulletinsForSectionID:(id)sectionID;	// 0x5659
- (void)getSectionInfoWithCompletion:(id)completion;	// 0x558d
- (void)getSectionOrderRuleWithCompletion:(id)completion;	// 0x54b1
- (void)invalidate;	// 0x541d
// declared property setter: - (void)setObserverFeed:(unsigned)feed;	// 0x53e1
// declared property setter: - (void)setDelegate:(id)delegate;	// 0x513d
- (void)dealloc;	// 0x508d
- (id)init;	// 0x4e45
@end
