/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/BulletinBoard.framework/BulletinBoard
 */


#import <BulletinBoard/XPCProxyTarget.h>
#import <BulletinBoard/BulletinBoard-Structs.h>
#import <BulletinBoard/BBServer.h>

@class NSMutableSet, NSMutableArray, NSDate, NSMutableDictionary;
@protocol BBPushDataProviderFactory;

@interface BBServer : NSObject <XPCProxyTarget> {
@private
	NSMutableSet *_observers;	// 4 = 0x4
	NSMutableSet *_listObservers;	// 8 = 0x8
	NSMutableSet *_modalAlertObservers;	// 12 = 0xc
	NSMutableSet *_bannerObservers;	// 16 = 0x10
	NSMutableSet *_lockscreenObservers;	// 20 = 0x14
	NSMutableSet *_soundObservers;	// 24 = 0x18
	NSMutableSet *_settingsObservers;	// 28 = 0x1c
	NSMutableSet *_settingsGateways;	// 32 = 0x20
	NSMutableArray *_sortedSectionIDs;	// 36 = 0x24
	unsigned _sectionOrderRule;	// 40 = 0x28
	NSMutableDictionary *_sectionInfoByID;	// 44 = 0x2c
	NSMutableDictionary *_sectionParametersByID;	// 48 = 0x30
	NSMutableDictionary *_sectionSortDescriptorsByID;	// 52 = 0x34
	NSMutableDictionary *_bulletinsByID;	// 56 = 0x38
	NSMutableDictionary *_bulletinIDsBySectionID;	// 60 = 0x3c
	NSMutableDictionary *_transactionsByObserver;	// 64 = 0x40
	NSMutableDictionary *_listBulletinIDsBySectionID;	// 68 = 0x44
	NSMutableArray *_interruptingBulletinIDs;	// 72 = 0x48
	NSMutableArray *_expiringBulletinIDs;	// 76 = 0x4c
	dispatch_source_s *_timer;	// 80 = 0x50
	NSDate *_nextScheduledFireDate;	// 84 = 0x54
	NSMutableDictionary *_dataProvidersBySection;	// 88 = 0x58
	NSMutableSet *_pushDataProviders;	// 92 = 0x5c
	NSMutableDictionary *_clearedSections;	// 96 = 0x60
	id<BBPushDataProviderFactory> _pushDataProviderFactory;	// 100 = 0x64
	int _demo_lockscreen_token;	// 104 = 0x68
@protected
	NSMutableDictionary *_bulletinRequestsByID;	// 108 = 0x6c
}
+ (void)initialize;	// 0x8d1d
- (void)demo_lockscreen:(unsigned long long)lockscreen;	// 0x10451
- (id)_defaultSectionInfoForDataProvider:(id)dataProvider;	// 0x103d1
- (void)_writeSectionInfo;	// 0x10291
- (void)_writeSectionOrder;	// 0x101e5
- (void)_loadSavedSectionInfo;	// 0x100bd
- (void)_readSavedSectionOrder:(id *)order andRule:(unsigned *)rule;	// 0xff6d
- (id)_sectionInfoPath;	// 0xff39
- (id)_sectionOrderPath;	// 0xff05
- (void)_writeClearedSections;	// 0xfe89
- (void)_loadClearedSections;	// 0xfdfd
- (id)_clearedSectionsPath;	// 0xfdc9
- (void)_ensureDataDirectoryExists;	// 0xfd59
- (id)_dataDirectoryPath;	// 0xfd3d
- (void)_loadAllWeeAppSections;	// 0xf9f5
- (id)_copyDefaultEnabledWeeAppIDs;	// 0xf95d
- (void)_removePushDataProvider:(id)provider;	// 0xf5a5
- (void)_updatePushSettingsForPushDataProvider:(id)pushDataProvider;	// 0xf429
- (void)_noteUserEnabledPushDeliveryForDataProvider:(id)dataProvider;	// 0xf32d
- (void)_addPushDataProvider:(id)provider sortNowAndNotifyObservers:(BOOL)observers;	// 0xf241
- (void)_addDataProvider:(id)provider sortSectionsNow:(BOOL)now;	// 0xef91
- (void)_loadDataProviderPluginBundle:(id)bundle;	// 0xebc5
- (void)_loadAllDataProviderPluginBundles;	// 0xe7cd
- (void)_setClearedInfo:(id)info forSectionID:(id)sectionID;	// 0xe779
- (id)_clearedInfoForSectionID:(id)sectionID;	// 0xe759
- (unsigned)_countForSectionID:(id)sectionID;	// 0xe71d
- (unsigned)_filtersForSectionID:(id)sectionID;	// 0xe719
- (void)_publishBulletinRequest:(id)request forDataProvider:(id)dataProvider forDestinations:(int)destinations;	// 0xe6dd
- (void)_updateSectionParametersForDataProvider:(id)dataProvider;	// 0xe5cd
- (void)_updateBulletinsForDataProvider:(id)dataProvider;	// 0xe31d
- (void)_updateBulletinsForDataProviderIfSectionIsEnabled:(id)dataProviderIfSectionIsEnabled;	// 0xe2b1
- (BOOL)_verifyBulletinRequest:(id)request forDataProvider:(id)dataProvider;	// 0xe1f1
- (void)_publishBulletinsForAllDataProviders;	// 0xe139
- (void)_loadDataProvidersAndSettings;	// 0xdfa1
- (void)settingsGateway:(id)gateway setSectionInfo:(id)info forSectionID:(id)sectionID;	// 0xd5dd
- (void)settingsGateway:(id)gateway setOrderedSectionIDs:(id)ids;	// 0xd595
- (void)settingsGateway:(id)gateway setSectionOrderRule:(unsigned)rule;	// 0xd54d
- (void)settingsGateway:(id)gateway getSectionInfoWithHandler:(id)handler;	// 0xd521
- (void)observer:(id)observer getRecentUnacknowledgedBulletinsForFeeds:(unsigned)feeds withHandler:(id)handler;	// 0xd485
- (void)observer:(id)observer requestListBulletinsForSectionID:(id)sectionID;	// 0xd3b9
- (id)_updatesForObserver:(id)observer bulletinIDs:(id)ids;	// 0xd275
- (void)observer:(id)observer getSectionInfoWithHandler:(id)handler;	// 0xd249
- (void)observer:(id)observer clearSection:(id)section;	// 0xd1fd
- (void)observer:(id)observer finishedWithBulletinID:(id)bulletinID transactionID:(unsigned)anId;	// 0xd065
- (void)observer:(id)observer handleResponse:(id)response;	// 0xcee1
- (void)observer:(id)observer setObserverFeed:(unsigned)feed;	// 0xcda1
- (void)getAttachmentAspectRatioForBulletinID:(id)bulletinID withHandler:(id)handler;	// 0xccb5
- (void)getAttachmentPNGDataForBulletinID:(id)bulletinID sizeConstraints:(id)constraints withHandler:(id)handler;	// 0xcbcd
- (void)getSectionParametersForSectionID:(id)sectionID withHandler:(id)handler;	// 0xcb8d
- (void)getSortDescriptorsForSectionID:(id)sectionID withHandler:(id)handler;	// 0xcb59
- (void)getSectionOrderRuleWithHandler:(id)handler;	// 0xcb15
- (id)_interruptingBulletinIDsForFeeds:(unsigned)feeds;	// 0xc9f1
- (void)_expireInterruptions;	// 0xc7f5
- (void)_addInterruptingBulletin:(id)bulletin;	// 0xc5a1
- (void)_scheduleExpirationForBulletin:(id)bulletin;	// 0xc47d
- (void)_expireBulletins;	// 0xc261
- (unsigned)_indexForNewDate:(id)newDate inBulletinIDArray:(id)bulletinIDArray sortedAscendingByDateForKey:(id)key;	// 0xc1c9
- (id)_bulletinIDsInSortedArray:(id)sortedArray withDateForKey:(id)key beforeCutoff:(id)cutoff;	// 0xc0a5
- (void)_expireBulletinsAndInterruptionsAndRescheduleTimerIfNecessary;	// 0xbf39
- (id)_nextExpireInterruptionsDate;	// 0xbea1
- (id)_nextExpireBulletinsDate;	// 0xbe29
- (void)_scheduleTimerForDate:(id)date;	// 0xbc61
- (void)_clearTimer;	// 0xbc11
- (void)_handleSignificantTimeChange;	// 0xbc01
- (void)_handleSystemWake;	// 0xbbf1
- (void)_handleSystemSleep;	// 0xbbe1
- (void)_setSectionInfo:(id)info forSectionID:(id)sectionID;	// 0xbad1
- (void)_clearBulletinIDIfPossible:(id)possible rescheduleExpirationTimer:(BOOL)timer;	// 0xb879
- (id)_sectionInfoArray:(BOOL)array;	// 0xb76d
- (void)_sortSectionIDsUsingGuideArray:(id)array;	// 0xb619
- (void)_sortSectionIDsUsingDefaultOrder;	// 0xb2c1
- (id)_allBulletinsForSectionID:(id)sectionID;	// 0xb291
- (id)_listBulletinsForSectionID:(id)sectionID;	// 0xb261
- (id)_bulletinsForIDs:(id)ids;	// 0xb16d
- (unsigned)_incrementedTransactionIDForObserver:(id)observer bulletinID:(id)anId;	// 0xb0a9
- (id)_currentTransactionForObserver:(id)observer bulletinID:(id)anId;	// 0xafd5
- (unsigned)_feedsForBulletin:(id)bulletin destinations:(int)destinations;	// 0xaedd
- (void)_removeSection:(id)section;	// 0xadc5
- (void)_clearSection:(id)section;	// 0xacad
- (void)_removeBulletin:(id)bulletin;	// 0xac99
- (void)_removeBulletin:(id)bulletin rescheduleTimerIfAffected:(BOOL)affected;	// 0xaafd
- (void)_modifyBulletin:(id)bulletin;	// 0xaabd
- (void)_addBulletin:(id)bulletin;	// 0xa9dd
- (void)_sendRemoveBulletin:(id)bulletin toFeeds:(unsigned)feeds;	// 0xa865
- (void)_sendModifyBulletin:(id)bulletin toFeeds:(unsigned)feeds;	// 0xa6ed
- (void)_sendAddBulletin:(id)bulletin toFeeds:(unsigned)feeds;	// 0xa58d
- (id)_observersForFeeds:(unsigned)feeds;	// 0xa4a5
- (void)_sendUpdateSectionOrderRule;	// 0xa43d
- (void)_sendUpdateSectionOrder;	// 0xa401
- (void)_sendUpdateSectionInfo:(id)info;	// 0xa3b5
- (void)_removeSettingsGateway:(id)gateway;	// 0xa365
- (void)_addSettingsGatewayWithConnection:(xpc_connection_s *)connection;	// 0xa161
- (void)_removeObserver:(id)observer;	// 0x9f4d
- (void)_addObserverWithConnection:(xpc_connection_s *)connection;	// 0x9d09
- (id)sortDescriptorsForSectionID:(id)sectionID;	// 0x9ce9
- (unsigned)listBulletinCapForSectionID:(id)sectionID;	// 0x9cb1
- (id)allBulletinIDsForSectionID:(id)sectionID;	// 0x9c91
- (id)listBulletinIDsForSectionID:(id)sectionID;	// 0x9c71
- (void)removeBulletinID:(id)anId fromListSection:(id)listSection;	// 0x9c05
- (void)withdrawBulletinID:(id)anId;	// 0x9bc5
- (void)publishBulletin:(id)bulletin destinations:(int)destinations;	// 0x99f5
- (id)proxy:(id)proxy detailedSignatureForSelector:(SEL)selector;	// 0x94cd
- (void)dealloc;	// 0x9285
- (id)init;	// 0x8d21
@end

@interface BBServer (Publication)
- (id)_removalsForListSection:(id)listSection addition:(id)addition keepAddition:(BOOL *)addition3;	// 0x15ac5
- (void)_assignIDToBulletinRequest:(id)bulletinRequest checkAgainstBulletins:(id)bulletins;	// 0x159c1
- (void)_assignIDToBulletinRequest:(id)bulletinRequest;	// 0x15965
- (id)_bulletinRequestsForIDs:(id)ids;	// 0x15869
- (void)withdrawBulletinRequestsWithPublisherBulletinID:(id)publisherBulletinID forSectionID:(id)sectionID;	// 0x15765
- (void)withdrawBulletinRequestsWithRecordID:(id)recordID forSectionID:(id)sectionID;	// 0x15661
- (void)updateListSection:(id)section withBulletinRequests:(id)bulletinRequests;	// 0x1534d
- (void)publishBulletinRequest:(id)request destinations:(int)destinations;	// 0x14f1d
- (void)deliverResponse:(id)response;	// 0x14eb5
- (void)noteFinishedWithBulletinID:(id)bulletinID;	// 0x14e95
@end
