/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/CoreMediaStream.framework/CoreMediaStream
 */

#import <CoreMediaStream/MSSubscriber.h>
#import <CoreMediaStream/MSSubscribeStreamsProtocolDelegate.h>
#import <CoreMediaStream/MSSubscribeStorageProtocolDelegate.h>
#import <CoreMediaStream/MSReauthorizationProtocolDelegate.h>
#import <CoreMediaStream/MSCupidStateMachine.h>

@class NSMutableArray, NSMutableDictionary, MSMediaStreamDaemon, MSReauthorizationProtocol, MSObjectQueue, MSSubscribeStreamsProtocol;
@protocol MSSubscribeStorageProtocol, MSSubscriberDelegate;

@protocol MSSubscriber
@property(assign, nonatomic) id<MSSubscriberDelegate> delegate;
// declared property setter: - (void)setDelegate:(id)delegate;
// declared property getter: - (id)delegate;
- (void)stop;
- (void)abort;
- (id)ownSubscribedStream;
- (id)subscribedStreams;
- (void)retrieveAssets:(id)assets;
- (void)checkForOutstandingActivities;
- (void)checkForNewAssetCollections;
- (void)resetSync;
@end

@interface MSSubscriber : MSCupidStateMachine <MSSubscriber, MSSubscribeStreamsProtocolDelegate, MSSubscribeStorageProtocolDelegate, MSReauthorizationProtocolDelegate> {
@private
	id<MSSubscriberDelegate> _delegate;	// 24 = 0x18
	MSMediaStreamDaemon *_daemon;	// 28 = 0x1c
	BOOL _checkOneMoreTime;	// 32 = 0x20
	int _state;	// 36 = 0x24
	MSSubscribeStreamsProtocol *_protocol;	// 40 = 0x28
	NSMutableDictionary *_newSubscriptionsByStreamID;	// 44 = 0x2c
	int _retrievalState;	// 48 = 0x30
	id<MSSubscribeStorageProtocol> _storageProtocol;	// 52 = 0x34
	MSReauthorizationProtocol *_reauthProtocol;	// 56 = 0x38
	MSObjectQueue *_retrievalQueue;	// 60 = 0x3c
	NSMutableArray *_assetsBeingRetrieved;	// 64 = 0x40
	long long _targetRetrievalByteCount;	// 68 = 0x44
	int _retrievalBatchSize;	// 76 = 0x4c
	int _maxErrorCount;	// 80 = 0x50
}
@property(assign, nonatomic) id<MSSubscriberDelegate> delegate;	// G=0xc78d; S=0xc79d; @synthesize=_delegate
@property(assign, nonatomic) int retrievalBatchSize;	// G=0xc7f9; S=0xc809; @synthesize=_retrievalBatchSize
@property(assign, nonatomic) long long targetRetrievalByteCount;	// G=0xc7cd; S=0xc7e5; @synthesize=_targetRetrievalByteCount
@property(assign, nonatomic) MSMediaStreamDaemon *daemon;	// G=0xc7ad; S=0xc7bd; @synthesize=_daemon
+ (BOOL)isInRetryState;	// 0x9499
+ (void)stopAllActivities;	// 0x93f1
+ (id)personIDsWithOutstandingActivities;	// 0x93d5
+ (id)nextActivityDateForPersonID:(id)personID;	// 0x93b5
+ (id)nextActivityDate;	// 0x92c9
+ (void)_setMasterNextActivityDate:(id)date forPersonID:(id)personID;	// 0x9075
+ (void)forgetPersonID:(id)anId;	// 0x9025
+ (id)_clearInstantiatedSubscribersByPersonID;	// 0x8ffd
+ (id)existingSubscriberForPersonID:(id)personID;	// 0x8fe1
+ (id)subscriberForPersonID:(id)personID;	// 0x8f09
// declared property setter: - (void)setRetrievalBatchSize:(int)size;	// 0xc809
// declared property getter: - (int)retrievalBatchSize;	// 0xc7f9
// declared property setter: - (void)setTargetRetrievalByteCount:(long long)count;	// 0xc7e5
// declared property getter: - (long long)targetRetrievalByteCount;	// 0xc7cd
// declared property setter: - (void)setDaemon:(id)daemon;	// 0xc7bd
// declared property getter: - (id)daemon;	// 0xc7ad
// declared property setter: - (void)setDelegate:(id)delegate;	// 0xc79d
// declared property getter: - (id)delegate;	// 0xc78d
- (void)reauthorizationProtocol:(id)protocol reauthorizedAssets:(id)assets rejectedAssets:(id)assets3 error:(id)error;	// 0xc341
- (void)reauthorizationProtocol:(id)protocol didReceiveAuthenticationError:(id)error;	// 0xc32d
- (void)subscribeStorageProtocolDidFinishRetrievingAllAssets:(id)subscribeStorageProtocol;	// 0xbb75
- (void)subscribeStorageProtocol:(id)protocol didFinishRetrievingAsset:(id)asset error:(id)error;	// 0xba59
- (void)_finishedRetrievingAsset:(id)asset;	// 0xb945
- (BOOL)_isInRetryState;	// 0xb911
- (void)_forget;	// 0xb8a5
- (void)abort;	// 0xb895
- (void)_abort;	// 0xb5ad
- (void)stop;	// 0xb599
- (void)_stopOutSubscriberState:(int *)state outRetrievalState:(int *)state2;	// 0xb43d
- (void)_reauthorizeAssets;	// 0xb345
- (void)_retrieveNextAssets;	// 0xb185
- (void)_retrieveAssets;	// 0xb03d
- (void)checkForOutstandingActivities;	// 0xafc1
- (void)retrieveAssets:(id)assets;	// 0xac11
- (void)subscribeStreamsProtocol:(id)protocol didFindShareState:(id)state;	// 0xabad
- (void)subscribeStreamsProtocol:(id)protocol difFindTemporarilyUnavailableSubscriptionForPersonID:(id)personID;	// 0xab4d
- (void)subscribeStreamsProtocol:(id)protocol didReceiveAuthenticationError:(id)error;	// 0xab39
- (void)_didReceiveAuthenticationError:(id)error;	// 0xaa6d
- (void)subscribeStreamsProtocol:(id)protocol didFinishError:(id)error;	// 0xa88d
- (void)subscribeStreamsProtocol:(id)protocol didFindDisappearedSubscriptionForPersonID:(id)personID;	// 0xa7d1
- (void)subscribeStreamsProtocol:(id)protocol didFinishReceivingUpdatesForPersonID:(id)personID ctag:(id)ctag;	// 0xa619
- (void)subscribeStreamsProtocol:(id)protocol didReceiveAssetCollections:(id)collections forPersonID:(id)personID;	// 0xa565
- (void)subscribeStreamsProtocol:(id)protocol willReceiveUpdatesForPersonID:(id)personID wasReset:(BOOL)reset metadata:(id)metadata;	// 0xa391
- (void)_didFinishRetrievingSubscriptionUpdate;	// 0xa279
- (void)_checkForNewAssetCollections;	// 0xa0d5
- (void)checkForNewAssetCollections;	// 0x9fe5
- (BOOL)_isAllowedToDownload;	// 0x9f25
- (void)resetSync;	// 0x9eb5
- (void)_setSubscriptionsByStreamID:(id)anId;	// 0x9e69
- (id)_subscriptionsByStreamID;	// 0x9ddd
- (void)_setHasOutstandingPoll:(BOOL)poll;	// 0x9d19
- (BOOL)_hasOutstandingPoll;	// 0x9cd9
- (void)_updateMasterManifest;	// 0x9c15
- (void)_serverSideConfigurationDidChange:(id)_serverSideConfiguration;	// 0x9af5
- (void)_refreshServerSideConfigurationParameters;	// 0x9a05
- (void)dealloc;	// 0x99c5
- (void)deactivate;	// 0x9885
- (id)initWithPersonID:(id)personID baseURL:(id)url;	// 0x9699
- (id)ownSubscribedStream;	// 0x9655
- (id)subscribedStreams;	// 0x9559
@end
