/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/GameKitServices.framework/Frameworks/AVConference.framework/AVConference
 */

#import <AVConference/AVConference-Structs.h>
#import <AVConference/VideoConferenceManager.h>
#import <AVConference/XXUnknownSuperclass.h>

@class ICEResultWaitQueue, AVAudioDevice, NSMutableArray, GKNATObserver, VideoConference;

__attribute__((visibility("hidden")))
@interface VideoConferenceManager : XXUnknownSuperclass {
@private
	opaque_pthread_mutex_t stateLock;	// 4 = 0x4
	opaque_pthread_mutex_t audioLock;	// 48 = 0x30
	opaque_pthread_mutex_t sipLock;	// 92 = 0x5c
	NSMutableArray *vcList;	// 136 = 0x88
	VideoConference *activeConference;	// 140 = 0x8c
	VideoConference *conferenceWithMic;	// 144 = 0x90
	ICEResultWaitQueue *resultQueue;	// 148 = 0x94
	tagHANDLE *hAUIO;	// 152 = 0x98
	tagHANDLE *hSIP;	// 156 = 0x9c
	int audioRefCount;	// 160 = 0xa0
	int sipRefCount;	// 164 = 0xa4
	BOOL shouldSetupAudioSession;	// 168 = 0xa8
	BOOL enableSpeakerPhone;	// 169 = 0xa9
	int internalSampleRate;	// 172 = 0xac
	int hardwareSampleRate;	// 176 = 0xb0
	int internalBlockSize;	// 180 = 0xb4
	int encodeBitrate;	// 184 = 0xb8
	int clientPID;	// 188 = 0xbc
	BOOL isUsingSuppression;	// 192 = 0xc0
	BOOL isForcingAudioBitrate;	// 193 = 0xc1
	BOOL isGKVoiceChat;	// 194 = 0xc2
	AVAudioDevice *targetInputDevice;	// 196 = 0xc4
	GKNATObserver *natObserver;	// 200 = 0xc8
	BOOL isTetheredDisplayMode;	// 204 = 0xcc
	opaqueCMSession *cmSession;	// 208 = 0xd0
	int cmSessionRefCount;	// 212 = 0xd4
	BOOL tearDownCMSession;	// 216 = 0xd8
	dispatch_queue_s *cmSessionQueue;	// 220 = 0xdc
}
@property(assign) VideoConference *activeConference;	// G=0x849c1; S=0x849d1; @synthesize
@property(assign) VideoConference *conferenceWithMic;	// G=0x849b1; S=0x85305; @synthesize
@property(readonly, assign) ICEResultWaitQueue *resultQueue;	// G=0x849a1; @synthesize
@property(assign) BOOL shouldSetupAudioSession;	// G=0x84981; S=0x84991; @synthesize
@property(assign, getter=isSpeakerPhoneEnabled) BOOL enableSpeakerPhone;	// G=0x84961; S=0x84971; @synthesize
@property(assign) int internalSampleRate;	// G=0x84941; S=0x84951; @synthesize
@property(readonly, assign) NSMutableArray *vcList;	// G=0x84931; @synthesize
@property(assign, nonatomic) int clientPID;	// G=0x84911; S=0x84921; @synthesize
@property(assign, nonatomic) BOOL isUsingSuppression;	// G=0x848f1; S=0x84901; @synthesize
@property(assign) BOOL isForcingAudioBitrate;	// G=0x848d1; S=0x848e1; @synthesize
@property(assign, nonatomic) BOOL isGKVoiceChat;	// G=0x848b1; S=0x848c1; @synthesize
+ (id)defaultVideoConferenceManager;	// 0x84ca9
- (id)init;	// 0x8598d
- (tagHANDLE *)SIPHandle;	// 0x85959
- (void)createSIP;	// 0x85849
- (void)startSIP;	// 0x85785
- (BOOL)isSIPHandleValid:(tagHANDLE *)valid;	// 0x8571d
- (void)stopSIP;	// 0x85619
- (void)addVideoConference:(id)conference;	// 0x855a9
- (void)removeVideoConference:(id)conference;	// 0x854e1
// declared property setter: - (void)setConferenceWithMic:(id)mic;	// 0x85305
- (id)conferenceForCallID:(int)callID;	// 0x85215
- (BOOL)hasVideoConference:(id)conference;	// 0x851cd
- (id)conferenceForParticipantID:(id)participantID;	// 0x85081
- (id)conferenceForIncomingConnectionResult:(tagCONNRESULT *)incomingConnectionResult;	// 0x84e91
- (void)pauseVideoConferences:(BOOL)conferences;	// 0x84dc1
// declared property getter: - (BOOL)isGKVoiceChat;	// 0x848b1
// declared property setter: - (void)setIsGKVoiceChat:(BOOL)chat;	// 0x848c1
// declared property getter: - (BOOL)isForcingAudioBitrate;	// 0x848d1
// declared property setter: - (void)setIsForcingAudioBitrate:(BOOL)bitrate;	// 0x848e1
// declared property getter: - (BOOL)isUsingSuppression;	// 0x848f1
// declared property setter: - (void)setIsUsingSuppression:(BOOL)suppression;	// 0x84901
// declared property getter: - (int)clientPID;	// 0x84911
// declared property setter: - (void)setClientPID:(int)pid;	// 0x84921
// declared property getter: - (id)vcList;	// 0x84931
// declared property getter: - (int)internalSampleRate;	// 0x84941
// declared property setter: - (void)setInternalSampleRate:(int)rate;	// 0x84951
// declared property getter: - (BOOL)isSpeakerPhoneEnabled;	// 0x84961
// declared property setter: - (void)setEnableSpeakerPhone:(BOOL)phone;	// 0x84971
// declared property getter: - (BOOL)shouldSetupAudioSession;	// 0x84981
// declared property setter: - (void)setShouldSetupAudioSession:(BOOL)setupAudioSession;	// 0x84991
// declared property getter: - (id)resultQueue;	// 0x849a1
// declared property getter: - (id)conferenceWithMic;	// 0x849b1
// declared property getter: - (id)activeConference;	// 0x849c1
// declared property setter: - (void)setActiveConference:(id)conference;	// 0x849d1
@end

@interface VideoConferenceManager (AudioManager)
@property(assign) BOOL shouldSetupAudioSession;	// G=0x84a0d; S=0x84be9; converted property
- (id)currentInputDevice;	// 0x84ad1
- (BOOL)setCurrentInputDevice:(id)device;	// 0x86005
- (BOOL)startAudioIO:(AudioStreamBasicDescription)io sampleRate:(int)rate minSamplesPerFrame:(int)frame audioBundle:(int)bundle remoteVCCallInfo:(id)info allowAudioRecording:(BOOL)recording error:(id *)error;	// 0x8698d
- (BOOL)tearDownAudioIO:(BOOL)io;	// 0x8724d
- (BOOL)stopAudioIO;	// 0x84ae5
- (void)setMicrophoneMuted:(BOOL)muted;	// 0x8736d
- (void)setEncodeBitrate:(int)bitrate;	// 0x8692d
- (BOOL)getMagicCookie:(char *)cookie withLength:(unsigned long *)length;	// 0x873ad
- (void)enableMetering:(BOOL)metering isInputMeter:(BOOL)meter;	// 0x873d1
- (void)setEnableSpeakerPhone:(BOOL)phone;	// 0x849e1
- (BOOL)isSpeakerPhoneEnabled;	// 0x849fd
- (void)setupAudioNotifications;	// 0x84afd
// converted property setter: - (void)setShouldSetupAudioSession:(BOOL)setupAudioSession;	// 0x84be9
// converted property getter: - (BOOL)shouldSetupAudioSession;	// 0x84a0d
- (void)setupAudioSessionProperties;	// 0x8742d
- (void)audioSessionClientDied:(int)died;	// 0x862dd
- (void)startAudioSession;	// 0x863bd
- (void)stopAudioSession;	// 0x863f5
- (void)tearDownAudioSession:(BOOL)session;	// 0x875f5
- (BOOL)forceSampleRate:(double *)rate;	// 0x8772d
- (BOOL)forceBufferFrames:(int *)frames;	// 0x87805
- (BOOL)forceBufferDuration:(float *)duration;	// 0x878d5
- (void)resetAudioSessionProperties;	// 0x87989
- (void)setSampleRate;	// 0x87de9
- (opaqueCMSession *)cmSessionRef;	// 0x84a1d
- (void)handleAudioInterruption:(opaqueCMSession *)interruption interruptionInfo:(CFDictionaryRef)info cmd:(unsigned)cmd;	// 0x8642d
- (void)handleRouteChanged:(opaqueCMSession *)changed;	// 0x87f6d
- (BOOL)projectionModeEnabledState;	// 0x8820d
- (void)broadcastCellDowngrade:(BOOL)downgrade;	// 0x867fd
@end
