/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/GeoServices.framework/GeoServices
 */

#import <GeoServices/GeoServices-Structs.h>
#import <GeoServices/GEOTileLoader.h>
#import <GeoServices/XXUnknownSuperclass.h>

@class NSMutableArray, GEOExpiringTileCache, NSMapTable, NSLock, GEOTileCache;
@protocol GEOTileServerProxy;

@interface GEOTileLoader : XXUnknownSuperclass {
	GEOTileCache *_tiles;	// 4 = 0x4
	GEOExpiringTileCache *_expTiles;	// 8 = 0x8
	NSMapTable *_pendingLoads;	// 12 = 0xc
	NSLock *_pendingLoadsLock;	// 16 = 0x10
	NSMapTable *_pendingNetworkLoads;	// 20 = 0x14
	NSLock *_pendingNetworkLoadsLock;	// 24 = 0x18
	NSMutableArray *_tileDecoders;	// 28 = 0x1c
	id<GEOTileServerProxy> _serverConnection;	// 32 = 0x20
	int _memoryHits;	// 36 = 0x24
	int _diskHits;	// 40 = 0x28
	int _networkHits;	// 44 = 0x2c
}
+ (id)sharedLoader;	// 0x5815
+ (id)diskCacheLocation;	// 0x57f9
+ (void)setDiskCacheLocation:(id)location;	// 0x57b9
+ (void)useLocalLoader;	// 0x57a9
+ (void)useRemoteLoader;	// 0x5799
- (id)expireTilesWithType:(unsigned char)type provider:(unsigned short)provider olderThan:(double)than;	// 0x73f9
- (void)tileServerProxy:(id)proxy requestFinished:(id)finished;	// 0x72dd
- (void)tileServerProxy:(id)proxy receivedError:(id)error forRequest:(id)request;	// 0x71bd
- (void)tileServerProxy:(id)proxy requestMovedToNetwork:(id)network;	// 0x71b9
- (void)tileServerProxy:(id)proxy receivedData:(id)data forKey:(GEOTileKey)key forRequest:(id)request fromDisk:(BOOL)disk;	// 0x6f51
- (void)cancelRequest:(id)request;	// 0x6e35
- (void)cancelAllRequests;	// 0x6bd1
- (void)loadTiles:(id)tiles progress:(id)progress finished:(id)finished error:(id)error;	// 0x6ae5
- (void)loadTilesFromCache:(id)cache progress:(id)progress finished:(id)finished error:(id)error;	// 0x6ab9
- (void)loadTilesFromCacheAndNetwork:(id)cacheAndNetwork progress:(id)progress finished:(id)finished error:(id)error;	// 0x6a8d
- (void)loadTilesFromCacheAndNetwork:(id)cacheAndNetwork progress:(id)progress finished:(id)finished error:(id)error skipNetwork:(BOOL)network;	// 0x67f9
- (void)_loadTilesFromServer:(id)server checkDisk:(BOOL)disk allowNetworking:(BOOL)networking;	// 0x6619
- (void)_tileEditionChanged:(id)changed;	// 0x64f5
- (void)openDatabase;	// 0x64d5
- (void)closeDatabase;	// 0x64b5
- (id)renderDataForKey:(GEOTileKey *)key asyncHandler:(id)handler;	// 0x61cd
- (id)renderDataForKey:(GEOTileKey *)key;	// 0x6099
- (void)_asyncDecodeTile:(id)tile forKey:(const GEOTileKey *)key completion:(id)completion;	// 0x5d0d
- (id)_decodeTile:(id)tile forKey:(const GEOTileKey *)key;	// 0x5c39
- (void)clearAllCaches;	// 0x5bfd
- (void)registerTileDecoder:(id)decoder;	// 0x5b99
- (void)dealloc;	// 0x5aa5
- (id)init;	// 0x5881
@end

@interface GEOTileLoader (LocalServerOnly)
- (id)hostnameForProviderID:(unsigned short)providerID;	// 0x746d
- (void)registerTileLoader:(Class)loader;	// 0x7419
@end

@interface GEOTileLoader (Statistics)
@property(readonly, assign, nonatomic) int networkHits;	// G=0x74ed; 
@property(readonly, assign, nonatomic) int diskHits;	// G=0x74dd; 
@property(readonly, assign, nonatomic) int memoryHits;	// G=0x74cd; 
// declared property getter: - (int)networkHits;	// 0x74ed
// declared property getter: - (int)diskHits;	// 0x74dd
// declared property getter: - (int)memoryHits;	// 0x74cd
@end
