/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/MobileTimer.framework/MobileTimer
 */



@class NSURL, NSMutableDictionary, NSDate, NSString, UILocalNotification;
@protocol AlarmDelegate;

@interface Alarm : NSObject {
	NSString *_id;	// 4 = 0x4
	NSURL *_idUrl;	// 8 = 0x8
	NSMutableDictionary *_settings;	// 12 = 0xc
	UILocalNotification *_notification;	// 16 = 0x10
	UILocalNotification *_weeklyNotifications[7];	// 20 = 0x14
	UILocalNotification *_snoozedNotification;	// 48 = 0x30
	unsigned _hour;	// 52 = 0x34
	unsigned _minute;	// 56 = 0x38
	unsigned _daySetting;	// 60 = 0x3c
	BOOL _allowsSnooze;	// 64 = 0x40
	NSString *_sound;	// 68 = 0x44
	NSString *_title;	// 72 = 0x48
	NSDate *_lastModified;	// 76 = 0x4c
	unsigned _revision;	// 80 = 0x50
	BOOL _hasSnapshot;	// 84 = 0x54
	unsigned _snapshotHour;	// 88 = 0x58
	unsigned _snapshotMinute;	// 92 = 0x5c
	unsigned _snapshotDaySetting;	// 96 = 0x60
	unsigned char _snapshotAllowsSnooze;	// 100 = 0x64
	NSString *_snapshotSound;	// 104 = 0x68
	NSString *_snapshotTitle;	// 108 = 0x6c
	id<AlarmDelegate> _delegate;	// 112 = 0x70
}
@property(assign) unsigned hour;	// G=0x51ed; S=0x6b49; converted property
@property(assign) unsigned minute;	// G=0x51fd; S=0x6ad9; converted property
@property(assign) unsigned daySetting;	// G=0x5225; S=0x6a35; converted property
@property(assign) BOOL allowsSnooze;	// G=0x5235; S=0x69c5; converted property
@property(retain) NSString *sound;	// G=0x5245; S=0x6921; converted property
@property(assign) id delegate;	// G=0x5265; S=0x5275; converted property
@property(readonly, retain) NSMutableDictionary *settings;	// G=0x51dd; converted property
+ (BOOL)verifyIdSetting:(id)setting withMessageList:(id)messageList;	// 0x6659
+ (BOOL)verifyHourSetting:(id)setting withMessageList:(id)messageList;	// 0x65b9
+ (BOOL)verifyMinuteSetting:(id)setting withMessageList:(id)messageList;	// 0x6519
+ (BOOL)verifyDaySetting:(id)setting withMessageList:(id)messageList;	// 0x6485
+ (BOOL)verifySettings:(id)settings;	// 0x6165
+ (BOOL)_verifyNotificationSettings:(id)settings againstAlarmSettings:(id)settings2;	// 0x5b8d
+ (BOOL)_verifyNotificationSettings:(id)settings againstUserInfo:(id)info;	// 0x5725
+ (id)_newSettingsFromNotification:(id)notification;	// 0x5315
- (id)init;	// 0x5285
- (id)initWithSettings:(id)settings;	// 0x8619
- (id)initWithNotification:(id)notification;	// 0x5299
- (id)initWithDefaultValues;	// 0x84dd
- (void)dealloc;	// 0x83b1
- (id)nowDateForOffsetCalculation;	// 0x8395
- (id)timeZoneForOffsetCalculation;	// 0x8379
- (unsigned)_notificationsCount;	// 0x5195
- (BOOL)tryAddNotification:(id)notification;	// 0x8141
- (id)_newBaseDateComponentsForDay:(int)day;	// 0x80b1
- (id)_newNotification:(int)notification;	// 0x7ba5
- (void)prepareNotifications;	// 0x7ad5
- (void)scheduleNotifications;	// 0x76cd
- (void)cancelNotifications;	// 0x74d9
- (void)dropNotifications;	// 0x7459
- (void)refreshActiveState;	// 0x7439
- (void)handleAlarmFired:(id)fired;	// 0x7369
- (void)handleNotificationSnoozed:(id)snoozed;	// 0x71bd
- (void)takeSnapshot;	// 0x709d
- (void)revertToSnapshot;	// 0x6fbd
- (void)markModified;	// 0x6ed9
- (int)compareTime:(id)time;	// 0x6e6d
- (BOOL)isEqual:(id)equal;	// 0x6cc5
- (id)alarmId;	// 0x6c49
- (id)alarmIdUrl;	// 0x6bb9
// converted property getter: - (id)settings;	// 0x51dd
// converted property getter: - (unsigned)hour;	// 0x51ed
// converted property setter: - (void)setHour:(unsigned)hour;	// 0x6b49
// converted property getter: - (unsigned)minute;	// 0x51fd
// converted property setter: - (void)setMinute:(unsigned)minute;	// 0x6ad9
- (BOOL)isActive;	// 0x6aa5
- (BOOL)repeats;	// 0x520d
// converted property getter: - (unsigned)daySetting;	// 0x5225
// converted property setter: - (void)setDaySetting:(unsigned)setting;	// 0x6a35
// converted property getter: - (BOOL)allowsSnooze;	// 0x5235
// converted property setter: - (void)setAllowsSnooze:(BOOL)snooze;	// 0x69c5
// converted property getter: - (id)sound;	// 0x5245
// converted property setter: - (void)setSound:(id)sound;	// 0x6921
- (id)uiTitle;	// 0x689d
- (id)rawTitle;	// 0x5255
- (void)setTitle:(id)title;	// 0x67f9
// converted property getter: - (id)delegate;	// 0x5265
// converted property setter: - (void)setDelegate:(id)delegate;	// 0x5275
- (id)debugDescription;	// 0x6709
- (id)description;	// 0x66e9
@end
