/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/PersistentConnection.framework/PersistentConnection
 */

#import <PersistentConnection/PCLoggingDelegate.h>


@class PCDarwinNotificationRunLoopSource, NSRunLoop, PCPersistentTimer, NSString;
@protocol PCGrowthAlgorithm, PCConnectionManagerDelegate;

@interface PCConnectionManager : NSObject <PCLoggingDelegate> {
	int _connectionClass;	// 4 = 0x4
	id<PCConnectionManagerDelegate> _delegate;	// 8 = 0x8
	NSString *_serviceIdentifier;	// 12 = 0xc
	int _prefsStyle;	// 16 = 0x10
	int _onlyAllowedStyle;	// 20 = 0x14
	BOOL _onlyAllowedStyleSet;	// 24 = 0x18
	NSRunLoop *_runLoop;	// 28 = 0x1c
	id<PCGrowthAlgorithm> _wwanGrowthAlgorithm;	// 32 = 0x20
	id<PCGrowthAlgorithm> _wifiGrowthAlgorithm;	// 36 = 0x24
	PCDarwinNotificationRunLoopSource *_prefsChangedSource;	// 40 = 0x28
	PCPersistentTimer *_intervalTimer;	// 44 = 0x2c
	PCPersistentTimer *_reconnectWakeTimer;	// 48 = 0x30
	PCPersistentTimer *_delayTimer;	// 52 = 0x34
	unsigned _powerAssertionID;	// 56 = 0x38
	double _onTimeKeepAliveTime;	// 60 = 0x3c
	double _lastResumeTime;	// 68 = 0x44
	double _lastStopTime;	// 76 = 0x4c
	double _lastReachableTime;	// 84 = 0x54
	double _lastReconnectTime;	// 92 = 0x5c
	double _keepAliveGracePeriod;	// 100 = 0x64
	unsigned _reconnectIteration;	// 108 = 0x6c
	double _defaultPollingInterval;	// 112 = 0x70
	double _pollingIntervalOverride;	// 120 = 0x78
	BOOL _pollingIntervalOverrideSet;	// 128 = 0x80
	BOOL _hasStarted;	// 129 = 0x81
	BOOL _isRunning;	// 130 = 0x82
	BOOL _inCallback;	// 131 = 0x83
	BOOL _isInReconnectMode;	// 132 = 0x84
	BOOL _reconnectWithKeepAliveDelay;	// 133 = 0x85
	BOOL _forceManualWhenRoaming;	// 134 = 0x86
	BOOL _fallBackToAlternateInterface;	// 135 = 0x87
	BOOL _isReachable;	// 136 = 0x88
}
@property(assign, nonatomic) double keepAliveGracePeriod;	// G=0x83b5; S=0xa7fd; @synthesize=_keepAliveGracePeriod
@property(assign, nonatomic) BOOL fallBackToAlternateInterface;	// G=0x83a5; S=0xa3dd; @synthesize=_fallBackToAlternateInterface
@property(readonly, assign, nonatomic) NSString *loggingIdentifier;	// G=0x8395; @synthesize=_serviceIdentifier
@property(readonly, assign, nonatomic) double pollingInterval;	// G=0x8289; 
@property(assign) double maximumKeepAliveInterval;	// G=0xa95d; S=0xa8a5; 
@property(assign, nonatomic) double minimumKeepAliveInterval;	// G=0xaa35; S=0xa97d; 
@property(readonly, assign, nonatomic) double currentKeepAliveInterval;	// G=0xaa55; 
+ (Class)growthAlgorithmClass;	// 0x8aad
+ (id)intervalCacheDictionaries;	// 0x885d
+ (id)_keepAliveCachePath;	// 0x881d
+ (BOOL)_isCachedKeepAliveIntervalStillValid:(double)valid date:(id)date;	// 0x87d5
- (id)initWithConnectionClass:(int)connectionClass delegate:(id)delegate serviceIdentifier:(id)identifier;	// 0x83cd
- (void)dealloc;	// 0xb801
- (void)_preferencesChanged;	// 0xb7ed
- (void)_loadPreferencesGeneratingEvent:(BOOL)event;	// 0xb4ed
- (int)currentStyle;	// 0xb40d
- (void)setOnlyAllowedStyle:(int)style;	// 0xb3dd
- (id)_currentGrowthAlgorithm;	// 0xb375
- (void)startManager;	// 0xb341
- (void)resumeManagerWithAction:(int)action;	// 0xad09
- (void)_validateActionForCurrentStyle:(int)currentStyle;	// 0xaba5
- (void)_resolveStateWithAction:(int)action;	// 0x820d
- (void)stopManager;	// 0xaa7d
// declared property getter: - (double)currentKeepAliveInterval;	// 0xaa55
// declared property getter: - (double)minimumKeepAliveInterval;	// 0xaa35
// declared property setter: - (void)setMinimumKeepAliveInterval:(double)interval;	// 0xa97d
// declared property getter: - (double)maximumKeepAliveInterval;	// 0xa95d
// declared property setter: - (void)setMaximumKeepAliveInterval:(double)interval;	// 0xa8a5
// declared property setter: - (void)setKeepAliveGracePeriod:(double)period;	// 0xa7fd
// declared property getter: - (double)pollingInterval;	// 0x8289
- (void)setPollingIntervalOverride:(double)override;	// 0xa755
- (void)cancelPollingIntervalOverride;	// 0xa6ed
- (BOOL)shouldClientScheduleReconnectDueToFailure;	// 0xa47d
// declared property setter: - (void)setFallBackToAlternateInterface:(BOOL)alternateInterface;	// 0xa3dd
- (void)_setupTimerForPushWithKeepAliveInterval:(double)keepAliveInterval;	// 0x9fe1
- (void)_setupTimerForPoll;	// 0x9df5
- (void)_setupKeepAliveForReconnect;	// 0x993d
- (void)_intervalTimerFired;	// 0x9665
- (void)_delayTimerFired;	// 0x95fd
- (void)_calloutWithEvent:(int)event;	// 0x942d
- (void)_clearTimers;	// 0x9405
- (void)_clearTimersReleasingPowerAssertion:(BOOL)assertion;	// 0x930d
- (void)interfaceManagerWWANInterfaceStatusChanged:(id)changed;	// 0x9215
- (void)interfaceManagerInHomeCountryStatusChanged:(id)homeCountryStatusChanged;	// 0x9201
- (void)interfaceManagerInternetReachabilityChanged:(id)changed;	// 0x90c5
- (void)_adjustInterfaceAssertions;	// 0x8f95
- (void)_takePowerAssertion;	// 0x8e85
- (void)_releasePowerAssertion;	// 0x8dc1
- (void)_saveWWANKeepAliveInterval:(double)interval;	// 0x8c59
- (double)_getCachedWWANKeepAliveInterval;	// 0x8b59
- (void)log:(id)log;	// 0x8b25
- (void)logAtLevel:(int)level format:(id)format;	// 0x8afd
- (void)logAtLevel:(int)level format:(id)format arguments:(void *)arguments;	// 0x8ac9
- (id)_stringForAction:(int)action;	// 0x82c1
- (id)_stringForEvent:(int)event;	// 0x8331
// declared property getter: - (id)loggingIdentifier;	// 0x8395
// declared property getter: - (BOOL)fallBackToAlternateInterface;	// 0x83a5
// declared property getter: - (double)keepAliveGracePeriod;	// 0x83b5
@end
