/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

#import <PhotoLibrary/PhotoLibrary-Structs.h>
#import <PhotoLibrary/UIGestureRecognizerDelegate.h>
#import <PhotoLibrary/XXUnknownSuperclass.h>

@class UIImage, UIImageView, PLCropModel, PLCropOverlayLayer, NSTimer;
@protocol PLImageAdjustmentViewDelegate;

@interface PLImageAdjustmentView : XXUnknownSuperclass <UIGestureRecognizerDelegate> {
	PLCropModel *_cropModel;	// 48 = 0x30
	UIImageView *_imageView;	// 52 = 0x34
	PLCropOverlayLayer *_overlayLayer;	// 56 = 0x38
	id<PLImageAdjustmentViewDelegate> _delegate;	// 60 = 0x3c
	UIImage *_editedImage;	// 64 = 0x40
	UIEdgeInsets _cropInsets;	// 68 = 0x44
	int _gestureCount;	// 84 = 0x54
	CGAffineTransform _originalTransform;	// 88 = 0x58
	CGRect _imageCropRect;	// 112 = 0x70
	CGRect _previousImageCropRect;	// 128 = 0x80
	float _cropAngle;	// 144 = 0x90
	float _previousCropAngle;	// 148 = 0x94
	float _photoViewScale;	// 152 = 0x98
	float _sourceAspectRatio;	// 156 = 0x9c
	unsigned _currentCropAction;	// 160 = 0xa0
	NSTimer *_manualCropTimer;	// 164 = 0xa4
	float _autoCropScale;	// 168 = 0xa8
	double _animationDuration;	// 172 = 0xac
	unsigned _isCropMode : 1;	// 180 = 0xb4
	unsigned _isAdjustingCropRect : 1;	// 180 = 0xb4
	unsigned _isAnimating : 1;	// 180 = 0xb4
	unsigned _canRotate : 1;	// 180 = 0xb4
	unsigned _needsRecenterImage : 1;	// 180 = 0xb4
	unsigned _delegateWillCropImage : 1;	// 180 = 0xb4
	unsigned _delegateDidCropImage : 1;	// 180 = 0xb4
	unsigned _delegateDidTouchImage : 1;	// 180 = 0xb4
}
@property(assign, nonatomic) CGSize aspectRatio;	// G=0xd1d65; S=0x2a471; 
@property(assign, nonatomic, getter=isCropMode) BOOL cropMode;	// G=0x233c9; S=0x24435; 
@property(assign, nonatomic) UIEdgeInsets cropInsets;	// G=0xd1cfd; S=0x25c2d; 
@property(assign, nonatomic) id<PLImageAdjustmentViewDelegate> delegate;	// G=0xd1ced; S=0x20e25; 
@property(retain, nonatomic) UIImage *editedImage;	// G=0x277dd; S=0x21c1d; 
@property(assign) float rotationAngle;	// G=0x23225; S=0x23121; converted property
@property(readonly, retain) UIImageView *imageView;	// G=0xd1ea9; converted property
@property(readonly, retain) PLCropOverlayLayer *overlayLayer;	// G=0xd1eb9; converted property
@property(readonly, assign) float cropAngle;	// G=0x2abf1; converted property
@property(readonly, assign) float previousCropAngle;	// G=0x2ac01; converted property
// converted property getter: - (id)overlayLayer;	// 0xd1eb9
// converted property getter: - (id)imageView;	// 0xd1ea9
- (CGRect)_maxOverlayCropRect;	// 0x223ed
- (float)_minimumImageScale;	// 0xd1df5
- (float)_imageScale;	// 0xd1d95
- (CGRect)overlayCropRect;	// 0x2343d
- (BOOL)_updateCropAngle;	// 0x2a8cd
- (BOOL)_updateCropRect;	// 0x2a935
// declared property getter: - (CGSize)aspectRatio;	// 0xd1d65
// declared property setter: - (void)setAspectRatio:(CGSize)ratio;	// 0x2a471
// converted property getter: - (float)rotationAngle;	// 0x23225
// converted property setter: - (void)setRotationAngle:(float)angle;	// 0x23121
// converted property getter: - (float)previousCropAngle;	// 0x2ac01
// converted property getter: - (float)cropAngle;	// 0x2abf1
- (CGRect)previousCropRect;	// 0x2abc5
- (CGRect)cropRect;	// 0x2ab99
- (void)setCropRect:(CGRect)rect cropAngle:(float)angle;	// 0x22035
- (void)reset;	// 0x21de5
// declared property getter: - (UIEdgeInsets)cropInsets;	// 0xd1cfd
// declared property setter: - (void)setCropInsets:(UIEdgeInsets)insets;	// 0x25c2d
// declared property getter: - (BOOL)isCropMode;	// 0x233c9
// declared property setter: - (void)setCropMode:(BOOL)mode;	// 0x24435
// declared property getter: - (id)editedImage;	// 0x277dd
- (void)replaceEditedImage:(id)image;	// 0x2bb2d
// declared property setter: - (void)setEditedImage:(id)image;	// 0x21c1d
// declared property getter: - (id)delegate;	// 0xd1ced
// declared property setter: - (void)setDelegate:(id)delegate;	// 0x20e25
- (BOOL)isDisplayingProgressIndicators;	// 0x29019
- (void)removeProgressIndicators;	// 0x29585
- (void)removeProgressIndicatorAtLocation:(CGPoint)location;	// 0x28c29
- (void)displayProgressIndicatorAtLocation:(CGPoint)location;	// 0x28769
- (void)showIndicatorAtPointInImage:(CGPoint)image duration:(double)duration;	// 0x277ed
- (void)commitAnimations;	// 0x29b49
- (void)beginAnimation:(double)animation;	// 0x296c1
- (BOOL)gestureRecognizer:(id)recognizer shouldRecognizeSimultaneouslyWithGestureRecognizer:(id)gestureRecognizer;	// 0x2b085
- (BOOL)gestureRecognizerShouldBegin:(id)gestureRecognizer;	// 0x2ad25
- (void)_cropTimer:(id)timer;	// 0xd1bd9
- (void)_performCropAction:(int)action location:(CGPoint)location;	// 0xd1809
- (BOOL)_isInCropGesture;	// 0x23425
- (void)_endCropGesture:(id)gesture;	// 0x2ba0d
- (void)_beginCropGesture:(id)gesture;	// 0x2b475
- (void)touch:(id)touch;	// 0x28235
- (void)crop:(id)crop;	// 0xd1379
- (void)rotate:(id)rotate;	// 0xd1051
- (void)scale:(id)scale;	// 0xd0e7d
- (void)pan:(id)pan;	// 0x2b17d
- (void)_updateGestureRecognizers;	// 0x20edd
- (float)computeScaleToFillRelativeToPointInImage:(CGPoint)image;	// 0xd0c2d
- (int)cropActionForPoint:(CGPoint)point;	// 0x2ae61
- (CGPoint)convertPointFromImage:(CGPoint)image;	// 0x2888d
- (CGPoint)convertPointToImage:(CGPoint)image;	// 0x28399
- (void)_updateOverlayCropRect;	// 0x221d9
- (void)_updateImageView;	// 0x22ea9
- (void)layoutSubviews;	// 0x233dd
- (void)setNeedsRecenterImage;	// 0x25c69
- (void)dealloc;	// 0x2c12d
- (id)initWithFrame:(CGRect)frame;	// 0x1fe11
@end
