/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/PhotoLibraryServices.framework/PhotoLibraryServices
 */

#import <PhotoLibraryServices/PLThumbnailManager.h>
#import <PhotoLibraryServices/XXUnknownSuperclass.h>
#import <PhotoLibraryServices/PhotoLibraryServices-Structs.h>

@class NSIndexSet, NSLock, PLPhotoLibrary, NSMutableOrderedSet, NSArray, PLImageTable, NSDictionary;

@interface PLThumbnailManager : XXUnknownSuperclass {
	PLPhotoLibrary *_photoLibrary;	// 4 = 0x4
	NSLock *_lock;	// 8 = 0x8
	float _indexSheetBorderWidth;	// 12 = 0xc
	NSIndexSet *_occupiedIndexes;	// 16 = 0x10
	NSDictionary *_changedPhotosMap;	// 20 = 0x14
	NSArray *_changedPhotos;	// 24 = 0x18
@private
	PLImageTable *_indexSheetThumbs;	// 28 = 0x1c
	PLImageTable *_wildcatScrubberThumbs;	// 32 = 0x20
	PLImageTable *_wildcatIndexThumbs;	// 36 = 0x24
	PLImageTable *_wildcatStackThumbs;	// 40 = 0x28
	NSMutableOrderedSet *_assetUUIDsWithThumbnails;	// 44 = 0x2c
}
@property(readonly, assign, nonatomic) PLImageTable *wildcatStackThumbs;	// G=0x21c25; 
@property(readonly, assign, nonatomic) PLImageTable *wildcatIndexThumbs;	// G=0x21bf9; 
@property(readonly, assign, nonatomic) PLImageTable *wildcatScrubberThumbs;	// G=0x21bbd; 
@property(readonly, assign, nonatomic) PLImageTable *indexSheetThumbs;	// G=0x21b35; 
@property(assign, nonatomic) PLPhotoLibrary *photoLibrary;	// G=0x2466d; S=0x2467d; @synthesize=_photoLibrary
+ (void)resetImageTables;	// 0x21795
+ (BOOL)missingThumbnailTables;	// 0x216c1
+ (BOOL)thumbnailTablesNeedToBeRecreated;	// 0x21665
+ (int)thumbnailFormat;	// 0x2160d
+ (int)thumbnailVersion;	// 0x215b5
+ (void)removeObsoleteMetadata;	// 0x21245
// declared property setter: - (void)setPhotoLibrary:(id)library;	// 0x2467d
// declared property getter: - (id)photoLibrary;	// 0x2466d
- (id)_tableDescriptions;	// 0x24545
- (void)thumbnailTablesChangedExternally;	// 0x2449d
- (id)photoUUIDToIndexMap;	// 0x24459
- (id)compactImageTables;	// 0x2430d
- (id)preflightImageTableCompactionForPhotos:(id)photos;	// 0x24055
- (int)count;	// 0x2402d
- (BOOL)entryAtIndexIsPlaceholder:(int)indexIsPlaceholder;	// 0x24001
- (void)ensureIndexExists:(int)exists;	// 0x23f45
- (void)deleteThumbnailsForPhoto:(id)photo;	// 0x23f15
- (void)deleteThumbnailsAtIndex:(int)index;	// 0x23e59
- (void)updateThumbnailsForPhoto:(id)photo previewImage:(id)image thumbnailImage:(id)image3 generatePreviewImage:(BOOL)image4 assignNewIndex:(BOOL)index;	// 0x232a9
- (void)updateThumbnailsForPhoto:(id)photo previewImage:(id)image thumbnailImage:(id)image3 generatePreviewImage:(BOOL)image4;	// 0x2327d
- (void)setThumbnails:(CFDictionaryRef)thumbnails forPhoto:(id)photo;	// 0x22991
- (id)newImageForPhoto:(id)photo withFormat:(int)format outImageProperties:(const CFDictionaryRef *)properties;	// 0x2228d
- (CFDictionaryRef)assetUUIDToThumbnailIndexMappingForFormat:(int)format;	// 0x2225d
- (void)preheatImageDataForAssets:(id)assets format:(int)format;	// 0x21d35
- (id)dataForPhoto:(id)photo format:(int)format width:(int *)width height:(int *)height bytesPerRow:(int *)row dataWidth:(int *)width6 dataHeight:(int *)height7 imageDataOffset:(int *)offset;	// 0x21c61
// declared property getter: - (id)wildcatStackThumbs;	// 0x21c25
// declared property getter: - (id)wildcatIndexThumbs;	// 0x21bf9
// declared property getter: - (id)wildcatScrubberThumbs;	// 0x21bbd
// declared property getter: - (id)indexSheetThumbs;	// 0x21b35
- (void)clearCachedInformation;	// 0x21a7d
- (void)dealloc;	// 0x21a09
- (id)initWithWeakPhotoLibrary:(id)weakPhotoLibrary;	// 0x21929
@end

@interface PLThumbnailManager (CameraAlbum)
+ (void)saveCameraPreviewWellImage:(CGImageRef)image assetID:(id)anId;	// 0x24959
+ (id)cameraPreviewWellAssetID;	// 0x24799
+ (id)cameraPreviewWellImage;	// 0x24751
+ (id)cameraPreviewWellImageFileURL;	// 0x246f1
+ (dispatch_queue_s *)cameraPreviewWellImageQueue;	// 0x2468d
@end

@interface PLThumbnailManager (Private)
- (id)_imageTableForFormat:(int *)format;	// 0x256e1
- (id)_dataForInFlightAsset:(id)flightAsset format:(int)format width:(int *)width height:(int *)height bytesPerRow:(int *)row dataWidth:(int *)width6 dataHeight:(int *)height7 imageDataOffset:(int *)offset imageDataFormat:(int *)format9;	// 0x2563d
- (id)_dataForAsset:(id)asset format:(int)format width:(int *)width height:(int *)height bytesPerRow:(int *)row dataWidth:(int *)width6 dataHeight:(int *)height7 imageDataOffset:(int *)offset imageDataFormat:(int *)format9;	// 0x2519d
- (id)_bakedIndexSheetDataForWallpaperAsset:(id)wallpaperAsset width:(int *)width height:(int *)height bytesPerRow:(int *)row dataWidth:(int *)width5 dataHeight:(int *)height6 imageDataOffset:(int *)offset;	// 0x24fa9
- (id)_bakedThumbnailForPhoto:(id)photo format:(int)format width:(int *)width height:(int *)height bytesPerRow:(int *)row dataWidth:(int *)width6 dataHeight:(int *)height7 imageDataOffset:(int *)offset;	// 0x24be9
@end
