/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/ScreenReaderOutputServer.framework/ScreenReaderOutputServer
 */

#import <ScreenReaderOutputServer/ScreenReaderOutputServer-Structs.h>
#import <ScreenReaderOutputServer/SCROBrailleDisplayDelegate.h>
#import <ScreenReaderOutputServer/XXUnknownSuperclass.h>

@class SCROBrailleDisplay, NSLock, SCROBrailleDisplayHistory, SCROBrailleDisplayManagedQueue, NSData, SCROBrailleFormatter, SCROBrailleEventDispatcher, NSMutableArray, NSMutableDictionary, NSMutableSet, NSAttributedString;
@protocol SCROSBrailleDisplayManagerDelegate;

@interface SCROBrailleDisplayManager : XXUnknownSuperclass <SCROBrailleDisplayDelegate> {
	NSLock *_contentLock;	// 4 = 0x4
	SCROBrailleDisplayManagedQueue *_managedDisplayQueue;	// 8 = 0x8
	SCROBrailleDisplay *_bluetoothBrailleDisplay;	// 12 = 0xc
	SCROBrailleDisplay *_stealthBrailleDisplay;	// 16 = 0x10
	NSMutableDictionary *_detectedIOElementsDict;	// 20 = 0x14
	SCROBrailleFormatter *_currentBrailleFormatter;	// 24 = 0x18
	NSMutableSet *_loadedIOElements;	// 28 = 0x1c
	CFDictionaryRef _displayConfigurationDict;	// 32 = 0x20
	id<SCROSBrailleDisplayManagerDelegate> _delegate;	// 36 = 0x24
	BOOL _showDotsSevenAndEight;	// 40 = 0x28
	BOOL _lineDescriptorDisplayCallbackEnabled;	// 41 = 0x29
	int _contractionMode;	// 44 = 0x2c
	BOOL _showEightDot;	// 48 = 0x30
	BOOL _shouldBatchUpdates;	// 49 = 0x31
	NSMutableArray *_displayModeStack;	// 52 = 0x34
	SCROBrailleDisplayHistory *_history;	// 56 = 0x38
	NSAttributedString *_mainString;	// 60 = 0x3c
	NSAttributedString *_lineString;	// 64 = 0x40
	NSAttributedString *_statusString;	// 68 = 0x44
	struct {
		NSData *aggregatedData;
		int virtualAlignment;
		int masterStatusCellIndex;
		BOOL currentAnnouncementUnread;
		BOOL anyUnreadAnnouncements;
	} _status;	// 72 = 0x48
	SCROBrailleEventDispatcher *_eventDispatcher;	// 88 = 0x58
	CFRunLoopRef _runLoop;	// 92 = 0x5c
	CFRunLoopTimerRef _alertTimer;	// 96 = 0x60
	double _alertTimeout;	// 100 = 0x64
	int _alertPriority;	// 108 = 0x6c
	BOOL _isValid;	// 112 = 0x70
	int _inputAccessMode;	// 116 = 0x74
	NSAttributedString *_blankUIString;	// 120 = 0x78
}
@property(assign) id delegate;	// G=0x10495; S=0x10415; converted property
@property(assign) int displayInputAccessMode;	// G=0xe4a1; S=0xe4ed; converted property
@property(retain) id mainAttributedString;	// G=0xe431; S=0xe41d; converted property
@property(retain) id aggregatedStatus;	// G=0xe2cd; S=0xe341; converted property
@property(assign) long masterStatusCellIndex;	// G=0xe205; S=0xe251; converted property
@property(assign) int virtualStatusAlignment;	// G=0xe13d; S=0xe189; converted property
@property(assign) int contractionMode;	// G=0xd919; S=0xd89d; converted property
@property(assign) BOOL showEightDotBraille;	// G=0xd179; S=0xd821; converted property
@property(assign) BOOL showDotsSevenAndEight;	// G=0xd759; S=0xd7a5; converted property
@property(assign) BOOL lineDescriptorDisplayCallbackEnabled;	// G=0xd189; S=0xd63d; converted property
@property(readonly, assign) BOOL isValid;	// G=0x132bd; converted property
+ (void)initialize;	// 0xd341
- (id)init;	// 0x134e9
- (void)dealloc;	// 0xd199
- (void)invalidate;	// 0x13309
// converted property getter: - (BOOL)isValid;	// 0x132bd
- (void)handleEvent:(id)event;	// 0x13191
- (void)_mainDisplayHandler:(id)handler;	// 0x11edd
- (void)_setAggregatedStatusHandler:(id)handler;	// 0x11df5
- (void)_setVirtualStatusAlignmentHandler:(id)handler;	// 0x11cad
- (void)_setMasterStatusCellIndexHandler:(id)handler;	// 0x11b65
- (void)_showDotsSevenAndEightHandler:(id)handler;	// 0x11a81
- (void)_contractionModeHandler:(id)handler;	// 0x119a1
- (void)_showEightDotHandler:(id)handler;	// 0x118bd
- (void)_exitCurrentDisplayMode;	// 0x11765
- (void)_displayModeHandler:(id)handler;	// 0x1160d
- (void)_setLineDescriptorCallbackEnabledHandler:(id)handler;	// 0x11541
- (void)_panHandler:(id)handler;	// 0x113cd
- (void)_announcementHandler:(id)handler;	// 0x111d5
- (void)_simulateKeypressHandler:(id)handler;	// 0x110d5
- (void)_prepareToMemorizeNextKeyHandler:(id)memorizeNextKeyHandler;	// 0x10ed1
- (void)_setPrimaryDisplayKeyHandler:(id)handler;	// 0x10d41
- (void)_setDisplayInputAccessMode:(id)mode;	// 0x10c15
- (void)_setTableHandler:(id)handler;	// 0x10af5
- (void)_setBatchUpdates:(id)updates;	// 0x109f9
- (void)_enableAutoDetect;	// 0x10935
- (void)_disableAutoDetect;	// 0x1089d
- (void)_deviceConnectedHandler:(id)handler;	// 0x1082d
- (void)_addDetectedIOElement:(id)element withDriverIdentifier:(id)driverIdentifier;	// 0x106f9
- (id)_displayWithIOElement:(id)ioelement driverIdentifier:(id)identifier delegate:(id)delegate;	// 0x106d9
- (void)_loadNextDriverForIOElement:(id)ioelement;	// 0x104e1
// converted property getter: - (id)delegate;	// 0x10495
// converted property setter: - (void)setDelegate:(id)delegate;	// 0x10415
- (void)brailleDisplay:(id)display driverDidLoad:(BOOL)driver;	// 0xfe39
- (void)brailleDriverDisconnected:(id)disconnected;	// 0xfa7d
- (void)brailleDisplay:(id)display isSleeping:(BOOL)sleeping;	// 0xf7cd
- (void)configurationChangedForBrailleDisplay:(id)brailleDisplay;	// 0xf655
- (void)brailleDisplay:(id)display pressedKeys:(id)keys;	// 0xf551
- (void)brailleDisplay:(id)display willMemorizeKey:(id)key;	// 0xf3fd
- (void)brailleDisplay:(id)display memorizedKey:(id)key;	// 0xf2a9
- (void)brailleDisplay:(id)display didDisplay:(id)display2;	// 0xf1ed
- (void)brailleDisplay:(id)display didPanLeft:(id)left elementToken:(id)token appToken:(id)token4;	// 0xf075
- (void)brailleDisplay:(id)display didPanRight:(id)right elementToken:(id)token appToken:(id)token4;	// 0xeefd
- (void)loadBluetoothDriverWithAddress:(id)address;	// 0xd169
- (void)removeBluetoothDriverWithAddress:(id)address;	// 0xd16d
- (void)_resetBluetoothReconnectionTimer;	// 0xd171
- (void)_loadStealthDisplay;	// 0xed3d
- (void)_unloadStealthDisplay;	// 0xecd9
- (id)driverConfiguration;	// 0xe851
- (void)_saveBluetoothDisplayConfiguration:(id)configuration;	// 0xd175
- (void)_blankOutDisplaysInQueue:(id)queue;	// 0xe729
- (BOOL)isConfigured;	// 0xe6a9
- (BOOL)hasActiveDisplays;	// 0xe601
- (void)setPrimaryBrailleDisplay:(long)display;	// 0xe569
// converted property setter: - (void)setDisplayInputAccessMode:(int)mode;	// 0xe4ed
// converted property getter: - (int)displayInputAccessMode;	// 0xe4a1
// converted property getter: - (id)mainAttributedString;	// 0xe431
// converted property setter: - (void)setMainAttributedString:(id)string;	// 0xe41d
- (void)setMainAttributedString:(id)string forceUpdate:(BOOL)update;	// 0xe395
// converted property setter: - (void)setAggregatedStatus:(id)status;	// 0xe341
// converted property getter: - (id)aggregatedStatus;	// 0xe2cd
// converted property setter: - (void)setMasterStatusCellIndex:(long)index;	// 0xe251
// converted property getter: - (long)masterStatusCellIndex;	// 0xe205
// converted property setter: - (void)setVirtualStatusAlignment:(int)alignment;	// 0xe189
// converted property getter: - (int)virtualStatusAlignment;	// 0xe13d
- (void)panDisplayLeft:(long)left;	// 0xe0a5
- (void)panDisplayRight:(long)right;	// 0xe00d
- (int)displayMode;	// 0xdf9d
- (void)setUIDisplayMode;	// 0xdf21
- (void)setAnnouncementsDisplayMode;	// 0xdea5
- (void)exitCurrentDisplayMode;	// 0xde55
- (void)_alertTimeoutHandler;	// 0xde45
- (void)_resetAlertTimer;	// 0xdd09
- (void)_stopAlertTimer;	// 0xdcd9
- (void)_popDisplayModeStack;	// 0xdc0d
- (id)_cachedMainStringForDisplayMode:(int)displayMode;	// 0xdb8d
- (void)_setDisplayMode:(int)mode;	// 0xd9ed
- (id)tableIdentifier;	// 0xd9b9
- (void)configureTableWithIdentifier:(id)identifier;	// 0xd965
// converted property getter: - (int)contractionMode;	// 0xd919
// converted property setter: - (void)setContractionMode:(int)mode;	// 0xd89d
// converted property getter: - (BOOL)showEightDotBraille;	// 0xd179
// converted property setter: - (void)setShowEightDotBraille:(BOOL)braille;	// 0xd821
// converted property setter: - (void)setShowDotsSevenAndEight:(BOOL)eight;	// 0xd7a5
// converted property getter: - (BOOL)showDotsSevenAndEight;	// 0xd759
- (void)showPreviousAnnouncement;	// 0xd709
- (void)showNextAnnouncement;	// 0xd6b9
// converted property setter: - (void)setLineDescriptorDisplayCallbackEnabled:(BOOL)enabled;	// 0xd63d
// converted property getter: - (BOOL)lineDescriptorDisplayCallbackEnabled;	// 0xd189
- (int)tokenForRouterIndex:(int)routerIndex location:(int *)location appToken:(id *)token forDisplayWithToken:(long)token4;	// 0xd551
- (void)simulateKeypress:(id)keypress;	// 0xd4fd
- (void)setPrepareToMemorizeNextKey:(BOOL)memorizeNextKey immediate:(BOOL)immediate forDisplayWithToken:(long)token;	// 0xd451
- (void)beginUpdates;	// 0xd3ed
- (void)endUpdates;	// 0xd389
@end
