/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/SoftwareUpdateServices.framework/SoftwareUpdateServices
 */

#import <SoftwareUpdateServices/XXUnknownSuperclass.h>
#import <SoftwareUpdateServices/SUNetworkObserver.h>
#import <SoftwareUpdateServices/SoftwareUpdateServices-Structs.h>

@class SUDownload, SUScanOptions, SUOperationProgress, SUState, NSMutableArray, NSTimer;
@protocol SUManagerDelegate;

@interface SUManager : XXUnknownSuperclass <SUNetworkObserver> {
@private
	id<SUManagerDelegate> _delegate;	// 4 = 0x4
	SUState *_state;	// 8 = 0x8
	BOOL _foreground;	// 12 = 0xc
	int _prevNetworkType;	// 16 = 0x10
	BOOL _recentlyChangedNetworks;	// 20 = 0x14
	SUScanOptions *_autoScanOptions;	// 24 = 0x18
	BOOL _scanning;	// 28 = 0x1c
	NSMutableArray *_scanRequests;	// 32 = 0x20
	MobileAsset *_assetToDownloadFromLastScan;	// 36 = 0x24
	BOOL _downloading;	// 40 = 0x28
	MobileAsset *_downloadAsset;	// 44 = 0x2c
	SUDownload *_download;	// 48 = 0x30
	SUOperationProgress *_downloadProgressSnapshot;	// 52 = 0x34
	NSTimer *_documentationDownloadTimer;	// 56 = 0x38
	BOOL _installing;	// 60 = 0x3c
}
@property(assign, nonatomic) MobileAsset *assetToDownloadFromLastScan;	// G=0x4c81; S=0x4c91; @dynamic
@property(assign, nonatomic) MobileAsset *downloadAsset;	// G=0x4c39; S=0x4c49; @dynamic
@property(assign, nonatomic, getter=isInstalling) BOOL installing;	// G=0xbb51; S=0x4921; @synthesize=_installing
@property(assign, nonatomic, getter=isScanning) BOOL scanning;	// G=0x6ba5; S=0x4a35; @synthesize=_scanning
@property(assign, nonatomic, getter=isDownloading) BOOL downloading;	// G=0x4835; S=0x487d; @dynamic
@property(retain, nonatomic) SUDownload *download;	// G=0xbb1d; S=0xbb2d; @synthesize=_download
@property(retain, nonatomic) SUState *state;	// G=0xbad9; S=0xbae9; @synthesize=_state
@property(assign, nonatomic, getter=isForeground) BOOL foreground;	// G=0xbb0d; S=0x4b05; @synthesize=_foreground
@property(assign, nonatomic) id<SUManagerDelegate> delegate;	// G=0xbab9; S=0xbac9; @synthesize=_delegate
+ (id)sharedInstance;	// 0x47c9
+ (void)initialize;	// 0x453d
// declared property getter: - (BOOL)isInstalling;	// 0xbb51
// declared property setter: - (void)setDownload:(id)download;	// 0xbb2d
// declared property getter: - (id)download;	// 0xbb1d
// declared property getter: - (BOOL)isForeground;	// 0xbb0d
// declared property setter: - (void)setState:(id)state;	// 0xbae9
// declared property getter: - (id)state;	// 0xbad9
// declared property setter: - (void)setDelegate:(id)delegate;	// 0xbac9
// declared property getter: - (id)delegate;	// 0xbab9
- (BOOL)installUpdate:(id *)update;	// 0xb25d
- (BOOL)isUpdateReadyForInstallation:(id *)installation;	// 0xaf95
- (void)operatorBundleChanged;	// 0xae9d
- (void)cellularRoamingStatusChanged:(BOOL)changed;	// 0xada5
- (void)networkChangedFromNetworkType:(int)networkType toNetworkType:(int)networkType2;	// 0xace9
- (int)bestGuessDownloadNetworkType;	// 0xabbd
- (void)_setVerifyExclusions:(id)exclusions;	// 0xab45
- (void)_verifyAndPrepareUpdate;	// 0xa561
- (void)_cleanupPreviousDownload:(BOOL)download;	// 0xa3e9
- (void)_cleanupPreviousDownload;	// 0xa3d5
- (id)_createDownloadFromDescriptor:(id)descriptor andMetadata:(id)metadata;	// 0xa2dd
- (void)_downloadFinished;	// 0xa149
- (void)_downloadFailedWithError:(id)error;	// 0x9cd5
- (void)_updateNormalizedDownloadProgress;	// 0x9989
- (void)_updateNormalizedDownloadProgressAndNotifyDelegate;	// 0x9851
- (void)_notePhaseCompleted:(id)completed;	// 0x9765
- (id)getOrCreateDownloadInterfaceReport;	// 0x96e5
- (void)_updateDownloadStatusForAssetState:(id)assetState;	// 0x9095
- (BOOL)_shouldSendUpdatedProgressToDelegate;	// 0x8f11
- (void)_snapshotProgress;	// 0x8e21
- (void)_startOrResumeDownload:(BOOL)download;	// 0x8cc1
- (BOOL)startDownloadWithMetadata:(id)metadata error:(id *)error;	// 0x8581
- (BOOL)startDownload:(id *)download;	// 0x8565
- (BOOL)_reapplyExistingDownloadPolicyIfDownloadable:(BOOL)downloadable;	// 0x8481
- (BOOL)_updateMobileAssetDownloadOptions:(id)options;	// 0x83f9
- (id)_downloadOptionsFromMetadata:(id)metadata;	// 0x83bd
- (int)_downloadPriority;	// 0x83a5
- (BOOL)updateDownloadMetadata:(id)metadata error:(id *)error;	// 0x81ad
- (void)_updateLastSavedDownloadsMetadata:(id)metadata;	// 0x8135
- (void)resumeDownload:(id *)download;	// 0x80a1
- (BOOL)_cancelDownload:(BOOL)download error:(id *)error;	// 0x7e85
- (BOOL)cancelDownload:(id *)download;	// 0x7e69
- (BOOL)isDownloadHalted;	// 0x7e11
- (void)_forceRefresh:(MobileAsset *)refresh localOnly:(BOOL)only complete:(id)complete;	// 0x7a25
- (void)_documentationDownloadTimeout:(id)timeout;	// 0x7985
- (void)_scheduleDocumentationDownloadTimeoutTimer:(MobileAsset *)timer;	// 0x78ad
- (void)_invalidateDocumentationDownloadTimeoutTimer;	// 0x786d
- (void)_scanAndDownloadDocumentation:(id)documentation complete:(id)complete;	// 0x7139
- (void)_fetchDocumentationForDescriptor:(id)descriptor localOnly:(BOOL)only complete:(id)complete;	// 0x6e5d
- (void)_doScan:(MobileAsset *)scan localOnly:(BOOL)only complete:(id)complete;	// 0x6bb5
// declared property getter: - (BOOL)isScanning;	// 0x6ba5
- (void)scanForUpdates:(id)updates complete:(id)complete;	// 0x62a9
- (void)_setupManualDownloadPolicyPeriodIfNecessary:(id)necessary fromDate:(id)date save:(BOOL)save;	// 0x619d
- (void)notifyScanDidComplete:(id)notifyScan error:(id)error;	// 0x6145
- (void)notifyScanRequestDidFinish:(id)notifyScanRequest update:(id)update error:(id)error;	// 0x60ad
- (void)notifyScanRequestDidStart:(id)notifyScanRequest;	// 0x6045
- (void)_autoDownloadWiFiPeriodDidEnd;	// 0x5fa1
- (BOOL)_isDateWithinAutodownloadWifiWindow:(id)window;	// 0x5f59
- (BOOL)_isWithinAutodownloadWifiWindow;	// 0x5f21
- (void)_endAutodownloadTasksAndResetState:(BOOL)state;	// 0x5e75
- (void)endAutodownloadTasksAndResetState;	// 0x5e61
- (void)noteAutodownloadFailedToStartWithError:(id)error;	// 0x5d75
- (void)_endOrRescheduleAutodownloadRetryInOneDay:(id)oneDay;	// 0x5c0d
- (BOOL)_doAutodownload:(id)autodownload error:(id *)error;	// 0x5b09
- (void)_tryOrScheduleAutodownloadWithPolicy:(id)policy allowOneTimeRetry:(BOOL)retry;	// 0x57e5
- (void)tryAutodownload;	// 0x5731
- (void)autoScanAndDownloadIfAvailable:(int)available;	// 0x542d
- (void)_resumeFromLastKnownState;	// 0x4ee1
- (void)resumeOrResetIfNecessary;	// 0x4cc9
// declared property setter: - (void)setAssetToDownloadFromLastScan:(MobileAsset *)lastScan;	// 0x4c91
// declared property getter: - (MobileAsset *)assetToDownloadFromLastScan;	// 0x4c81
// declared property setter: - (void)setDownloadAsset:(MobileAsset *)asset;	// 0x4c49
// declared property getter: - (MobileAsset *)downloadAsset;	// 0x4c39
// declared property setter: - (void)setForeground:(BOOL)foreground;	// 0x4b05
// declared property setter: - (void)setScanning:(BOOL)scanning;	// 0x4a35
// declared property setter: - (void)setInstalling:(BOOL)installing;	// 0x4921
// declared property setter: - (void)setDownloading:(BOOL)downloading;	// 0x487d
// declared property getter: - (BOOL)isDownloading;	// 0x4835
- (void)dealloc;	// 0x4699
- (id)init;	// 0x457d
@end
