/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/SportsWorkout.framework/SportsWorkout
 */

#import <SportsWorkout/CLLocationManagerDelegate.h>
#import <SportsWorkout/XXUnknownSuperclass.h>

@class SWRunSensor, SWRunWorkout, NSMutableArray, CLLocationManager, CLLocation, NSDictionary, SWRunWorkoutPreset, SWRemote, SWDataController, SWFastestDistanceWindowObserver, SWUserInteractionSnapshotObserver, SWIntervalSnapshotObserver, NSTimer, NSString, SWDataControllerSnapshotObserver;

@interface SWRunWorkoutController : XXUnknownSuperclass <CLLocationManagerDelegate> {
	SWRunSensor *_sensor;	// 4 = 0x4
	SWRemote *_remote;	// 8 = 0x8
	SWRunWorkout *_workout;	// 12 = 0xc
	NSString *_workoutState;	// 16 = 0x10
	BOOL _hasEverStarted;	// 20 = 0x14
	BOOL _hasFiredBeginningWorkoutPrompt;	// 21 = 0x15
	BOOL _sensorBatteryIsLowNotificationSent;	// 22 = 0x16
	SWRunWorkoutPreset *_preset;	// 24 = 0x18
	BOOL _isWalk;	// 28 = 0x1c
	NSMutableArray *_workoutObservers;	// 32 = 0x20
	CLLocationManager *_locationManager;	// 36 = 0x24
	NSTimer *_workoutObserverTimer;	// 40 = 0x28
	unsigned _previousObservedElapsedTimeInSeconds;	// 44 = 0x2c
	float _previousObservedPaceInSecondsPerMile;	// 48 = 0x30
	float _previousObservedDistanceInMiles;	// 52 = 0x34
	float _previousObservedCalories;	// 56 = 0x38
	CLLocation *_previousObservedLocation;	// 60 = 0x3c
	SWIntervalSnapshotObserver *_mileSnapshotObserver;	// 64 = 0x40
	SWIntervalSnapshotObserver *_kmSnapshotObserver;	// 68 = 0x44
	SWIntervalSnapshotObserver *_tenSecondSnapshotObserver;	// 72 = 0x48
	SWFastestDistanceWindowObserver *_fastestMileObserver;	// 76 = 0x4c
	SWFastestDistanceWindowObserver *_fastestKilometerObserver;	// 80 = 0x50
	SWDataControllerSnapshotObserver *_dataControllerSnapshotObserver;	// 84 = 0x54
	SWUserInteractionSnapshotObserver *_userInteractionSnapshotObserver;	// 88 = 0x58
	SWDataController *_dataController;	// 92 = 0x5c
}
@property(readonly, assign, nonatomic) NSString *powerSongName;	// G=0x7b8d; @dynamic
@property(readonly, assign, nonatomic) BOOL hasPowerSong;	// G=0x7b55; @dynamic
@property(readonly, assign, nonatomic) float maxCalibrationDistanceMiles;	// G=0x70b1; @dynamic
@property(readonly, assign, nonatomic) float minCalibrationDistanceMiles;	// G=0x7091; @dynamic
@property(readonly, assign, nonatomic) BOOL canBeUsedForWalkCalibration;	// G=0x706d; @dynamic
@property(readonly, assign, nonatomic) BOOL canBeUsedForRunCalibration;	// G=0x7049; @dynamic
@property(readonly, assign, nonatomic) BOOL isCalibratedForRun;	// G=0x6fcd; @dynamic
@property(readonly, assign, nonatomic) BOOL isCalibratedForWalk;	// G=0x6f51; @dynamic
@property(assign, nonatomic) BOOL isCalibration;	// G=0x6ed9; S=0x6e61; @dynamic
@property(retain, nonatomic) SWRunWorkoutPreset *preset;	// G=0x6e51; S=0x6dc9; @dynamic
@property(readonly, assign, nonatomic) SWDataController *dataController;	// G=0x810d; @synthesize=_dataController
@property(readonly, assign, nonatomic) BOOL hasEverStarted;	// G=0x80fd; @synthesize=_hasEverStarted
@property(readonly, assign, nonatomic) NSDictionary *workoutData;	// G=0x6811; @dynamic
@property(readonly, assign, nonatomic) NSString *workoutState;	// G=0x80ed; @synthesize=_workoutState
@property(readonly, assign, nonatomic) SWRemote *remote;	// G=0x80dd; @synthesize=_remote
@property(readonly, assign, nonatomic) SWRunSensor *sensor;	// G=0x80cd; @synthesize=_sensor
+ (id)distanceUnitForString:(id)string;	// 0x8061
+ (id)goalTypeForString:(id)string;	// 0x7fc1
+ (float)kgsToLbs:(float)lbs;	// 0x7fa9
+ (float)lbsToKgs:(float)kgs;	// 0x7f91
+ (float)secondsPerKmToSecondsPerMile:(float)secondsPerMile;	// 0x7f79
+ (float)secondsPerMileToSecondsPerKm:(float)secondsPerKm;	// 0x7f61
+ (float)kmToMiles:(float)miles;	// 0x7f49
+ (float)milesToKm:(float)km;	// 0x7f31
+ (id)distanceDisplayUnitsForPreferences;	// 0x7da5
+ (BOOL)shouldUseKilometersForDistanceWithWorkoutSummary:(id)workoutSummary;	// 0x7d11
+ (BOOL)shouldUseKilometersForPaceWithWorkoutSummary:(id)workoutSummary;	// 0x7cd5
+ (id)__uniqueIdentifier;	// 0x6d71
+ (id)__systemVersion;	// 0x6d19
+ (void)disableSDA;	// 0x4f85
+ (void)enableSDA;	// 0x4f69
+ (void)resetDefaultController;	// 0x4f3d
+ (id)defaultController;	// 0x4dfd
+ (void)__releaseWorkoutInProgressFileLock;	// 0x4d55
+ (BOOL)__takeWorkoutInProgressFileLock;	// 0x4bc5
+ (BOOL)isWorkoutInProgressOnSystem;	// 0x4b89
// declared property getter: - (id)dataController;	// 0x810d
// declared property getter: - (BOOL)hasEverStarted;	// 0x80fd
// declared property getter: - (id)workoutState;	// 0x80ed
// declared property getter: - (id)remote;	// 0x80dd
// declared property getter: - (id)sensor;	// 0x80cd
- (id)_powerSongPersistentUIDString;	// 0x7c95
- (void)playPowerSong;	// 0x7bcd
// declared property getter: - (id)powerSongName;	// 0x7b8d
// declared property getter: - (BOOL)hasPowerSong;	// 0x7b55
- (void)_updateWorkoutObserversForUserEvent:(id)userEvent;	// 0x7aad
- (void)_updateWorkoutObserversForOldState:(id)oldState newState:(id)state;	// 0x79f5
- (void)_updateWorkoutObserversForTimer:(id)timer;	// 0x7679
- (void)_cancelWorkoutObserverTimer;	// 0x7609
- (void)_startWorkoutObserverTimer;	// 0x7571
- (BOOL)_shouldRecordLocation;	// 0x7535
- (void)unregisterWorkoutObserver:(id)observer;	// 0x7515
- (void)registerWorkoutObserver:(id)observer;	// 0x7441
- (void)resetCalibration;	// 0x73cd
- (BOOL)saveCalibrationDataWithAdjustedDistanceInMiles:(float)miles;	// 0x7231
- (BOOL)saveCalibrationData;	// 0x70d1
// declared property getter: - (float)maxCalibrationDistanceMiles;	// 0x70b1
// declared property getter: - (float)minCalibrationDistanceMiles;	// 0x7091
// declared property getter: - (BOOL)canBeUsedForWalkCalibration;	// 0x706d
// declared property getter: - (BOOL)canBeUsedForRunCalibration;	// 0x7049
// declared property getter: - (BOOL)isCalibratedForRun;	// 0x6fcd
// declared property getter: - (BOOL)isCalibratedForWalk;	// 0x6f51
- (void)stopVoicePrompts;	// 0x6f1d
- (void)playOnDemandPrompt;	// 0x6efd
// declared property getter: - (BOOL)isCalibration;	// 0x6ed9
// declared property setter: - (void)setIsCalibration:(BOOL)calibration;	// 0x6e61
// declared property getter: - (id)preset;	// 0x6e51
// declared property setter: - (void)setPreset:(id)preset;	// 0x6dc9
// declared property getter: - (id)workoutData;	// 0x6811
- (void)togglePauseResumeWorkoutFromHeadset;	// 0x66f5
- (void)_postNotificationName:(id)name userInfo:(id)info;	// 0x66a1
- (void)_postNotificationName:(id)name;	// 0x668d
- (void)endWorkout;	// 0x63fd
- (void)pauseWorkout;	// 0x632d
- (void)activateWorkout;	// 0x6235
- (void)prepareToActivateWorkout;	// 0x6041
- (void)_searchStateChangedNotification:(id)notification;	// 0x5ec1
- (void)_beginSearchingForSensorAfterLink;	// 0x5e71
- (void)_linkStateChangedNotification:(id)notification;	// 0x5d55
- (void)_setWorkoutState:(id)state;	// 0x5bf5
- (void)_remoteCommandIssued:(id)issued;	// 0x5615
- (void)unlinkRemote;	// 0x55f5
- (void)refreshSettings;	// 0x55c1
- (void)dealloc;	// 0x53dd
- (id)initWithSensor:(id)sensor remote:(id)remote;	// 0x4fa1
@end
