/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/StoreServices.framework/StoreServices
 */

#import <StoreServices/SSAccountStore.h>

#import <StoreServices/XXUnknownSuperclass.h>

@class SSAccount, NSLock, NSArray, SSDistributedNotificationCenter;

@protocol SSAccountStore <NSObject>
@property(readonly, assign, getter=isExpired) BOOL expired;
@property(readonly, assign) NSArray *accounts;
@property(readonly, assign) SSAccount *activeLockerAccount;
@property(readonly, assign) SSAccount *activeAccount;
// declared property getter: - (BOOL)isExpired;
// declared property getter: - (id)accounts;
// declared property getter: - (id)activeLockerAccount;
// declared property getter: - (id)activeAccount;
- (void)resetExpirationForTokenType:(int)tokenType;
- (void)resetExpiration;
- (BOOL)isExpiredForTokenType:(int)tokenType;
- (id)setActiveLockerAccount:(id)account;
- (id)setActiveAccount:(id)account;
- (id)addAccount:(id)account;
- (void)signOutAllAccounts;
- (void)signOutAccount:(id)account;
- (void)setAccountCredits:(id)credits forAccountWithUniqueIdentifier:(id)uniqueIdentifier;
- (id)accountWithUniqueIdentifier:(id)uniqueIdentifier reloadIfNecessary:(BOOL)necessary;
- (id)accountWithUniqueIdentifier:(id)uniqueIdentifier;
@end

@interface SSAccountStore : XXUnknownSuperclass <SSAccountStore> {
@private
	NSArray *_accounts;	// 4 = 0x4
	BOOL _accountsValid;	// 8 = 0x8
	NSLock *_lock;	// 12 = 0xc
	SSDistributedNotificationCenter *_notificationCenter;	// 16 = 0x10
	id _observer;	// 20 = 0x14
}
@property(readonly, assign, getter=isExpired) BOOL expired;	// G=0x1d78d; 
@property(readonly, assign) NSArray *accounts;	// G=0x1d42d; 
@property(readonly, assign) SSAccount *activeLockerAccount;	// G=0x1d661; 
@property(readonly, assign) SSAccount *activeAccount;	// G=0x1d535; 
@property(retain) id distributedNotificationCenter;	// G=0x1d8e9; S=0x1dcd1; converted property
+ (void)setDefaultStore:(id)store;	// 0x1e105
+ (void)resetExpirationForTokenType:(int)tokenType;	// 0x1e085
+ (void)resetExpiration;	// 0x1e071
+ (BOOL)isExpiredForTokenType:(int)tokenType;	// 0x1df51
+ (BOOL)isExpired;	// 0x1df39
+ (id)existingDefaultStore;	// 0x1d7b1
+ (double)tokenExpirationInterval;	// 0x1d419
+ (id)defaultStore;	// 0x1d39d
- (void)_signOutWithUserInfo:(id)userInfo;	// 0x1e5d9
- (void)_setAccounts:(id)accounts;	// 0x1e595
- (void)_postAccountStoreChanged;	// 0x1e551
- (BOOL)_reloadAccountsIfNeeded;	// 0x1e455
- (void)_invalidateAccounts;	// 0x1e419
- (id)_addAccount:(id)account withMessageParameters:(id)messageParameters;	// 0x1e21d
- (id)_accountWithUniqueIdentifier:(id)uniqueIdentifier;	// 0x1e159
- (void)signOutAllAccounts;	// 0x1df25
- (void)signOutAccount:(id)account;	// 0x1de51
// converted property setter: - (void)setDistributedNotificationCenter:(id)center;	// 0x1dcd1
- (id)setActiveLockerAccount:(id)account;	// 0x1dc31
- (id)setActiveAccount:(id)account;	// 0x1db91
- (void)setAccountCredits:(id)credits forAccountWithUniqueIdentifier:(id)uniqueIdentifier;	// 0x1da01
- (void)resetExpirationForTokenType:(int)tokenType;	// 0x1d9e5
- (void)resetExpiration;	// 0x1d9c9
- (void)reloadAccounts;	// 0x1d979
- (BOOL)isExpiredForTokenType:(int)tokenType;	// 0x1d955
// converted property getter: - (id)distributedNotificationCenter;	// 0x1d8e9
- (id)addAccount:(id)account;	// 0x1d8d5
- (id)accountWithUniqueIdentifier:(id)uniqueIdentifier reloadIfNecessary:(BOOL)necessary;	// 0x1d7f5
// declared property getter: - (BOOL)isExpired;	// 0x1d78d
// declared property getter: - (id)activeLockerAccount;	// 0x1d661
// declared property getter: - (id)activeAccount;	// 0x1d535
- (id)accountWithUniqueIdentifier:(id)uniqueIdentifier;	// 0x1d4ad
// declared property getter: - (id)accounts;	// 0x1d42d
- (void)dealloc;	// 0x1d2d5
- (id)init;	// 0x1d1fd
@end
