/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/Symbolication.framework/Symbolication
 */

#import <Symbolication/Symbolication-Structs.h>
#import <Foundation/NSObject.h>

@class NSMapTable, NSConditionLock, NSMutableArray, VMUTaskMemoryCache, NSString, VMUProcessDescription;

@interface VMUSampler : NSObject {
	int _pid;	// 4 = 0x4
	unsigned _task;	// 8 = 0x8
	BOOL _needTaskPortDealloc;	// 12 = 0xc
	BOOL _recordThreadStates;	// 13 = 0xd
	BOOL _taskIs64Bit;	// 14 = 0xe
	NSString *_processName;	// 16 = 0x10
	VMUProcessDescription *_processDescription;	// 20 = 0x14
	CSTypeRef _symbolicator;	// 24 = 0x18
	VMUTaskMemoryCache *_memCache;	// 32 = 0x20
	sampling_context_t *_samplingContext;	// 36 = 0x24
	unsigned _mainThread;	// 40 = 0x28
	NSMapTable *_lastThreadBacktraceMap;	// 44 = 0x2c
	unsigned _numberOfCopiedBacktraces;	// 48 = 0x30
	unsigned *_previousThreadList;	// 52 = 0x34
	unsigned _previousThreadCount;	// 56 = 0x38
	unsigned _maxPreviousThreadCount;	// 60 = 0x3c
	double _tbRate;	// 64 = 0x40
	double _tbInterval;	// 72 = 0x48
	NSConditionLock *_stateLock;	// 80 = 0x50
	double _interval;	// 84 = 0x54
	double _timeLimit;	// 92 = 0x5c
	unsigned _sampleLimit;	// 100 = 0x64
	BOOL _sampling;	// 104 = 0x68
	unsigned _samplingThreadPort;	// 108 = 0x6c
	unsigned _numberOfSamples;	// 112 = 0x70
	NSMutableArray *_samples;	// 116 = 0x74
	BOOL _stacksFixed;	// 120 = 0x78
	void *_cfi;	// 124 = 0x7c
	id _delegate;	// 128 = 0x80
	double _timeSpentSamplingWithoutCFI;	// 132 = 0x84
	double _timeSpentSamplingWithCFI;	// 140 = 0x8c
	BOOL _shouldOutputSignature;	// 148 = 0x94
	BOOL _showDispatchQueueNames;	// 149 = 0x95
}
@property(assign) double samplingInterval;	// G=0x2bcd0; S=0x2bca8; converted property
@property(assign) double timeLimit;	// G=0x2bd14; S=0x2bcec; converted property
@property(assign) unsigned sampleLimit;	// G=0x2bd44; S=0x2bd30; converted property
@property(assign) BOOL shouldOutputSignature;	// G=0x2bd80; S=0x2bd6c; converted property
@property(assign) id delegate;	// G=0x2be0c; S=0x2bdf8; converted property
@property(readonly, assign) int pid;	// G=0x2bdbc; converted property
@property(readonly, assign) CSTypeRef symbolicator;	// G=0x2bd98; converted property
@property(readonly, assign) unsigned mainThread;	// G=0x2bde4; converted property
@property(readonly, retain) NSMutableArray *samples;	// G=0x2cd50; converted property
+ (void)initialize;	// 0x2c0a0
+ (id)sampleAllThreadsOfPID:(int)pid;	// 0x2c03c
+ (id)sampleAllThreadsOfPID:(int)pid withSymbolicator:(id)symbolicator;	// 0x2c02c
+ (id)sampleAllThreadsOfTask:(unsigned)task;	// 0x2bfc8
+ (id)sampleAllThreadsOfTask:(unsigned)task withSymbolicator:(id)symbolicator;	// 0x2bfb8
+ (id)sampleAllThreadsOfTask:(unsigned)task symbolicate:(BOOL)symbolicate;	// 0x2bf44
+ (id)sampleAllThreadsOfTask:(unsigned)task withSymbolicator:(id)symbolicator symbolicate:(BOOL)symbolicate;	// 0x2bf30
- (id)initWithPID:(int)pid orTask:(unsigned)task options:(unsigned)options;	// 0x2e83c
- (id)initWithPID:(int)pid;	// 0x2be20
- (id)initWithTask:(unsigned)task;	// 0x2be4c
- (id)initWithPID:(int)pid options:(unsigned)options;	// 0x2be7c
- (id)initWithTask:(unsigned)task options:(unsigned)options;	// 0x2bea8
- (void)dealloc;	// 0x2e6a4
- (void)finalize;	// 0x2bedc
- (void)_makeHighPriority;	// 0x2e510
- (void)_makeTimeshare;	// 0x2e4c0
- (void)initializeSamplingContext:(BOOL)context;	// 0x2e3b4
- (unsigned)recordSampleTo:(id)to beginTime:(double)time endTime:(double)time3 thread:(unsigned)thread;	// 0x2d960
- (void)_fixupStacks:(id)stacks;	// 0x2d718
- (void)_runSamplingThread;	// 0x2d27c
- (id)sampleAllThreadsOnce;	// 0x2d1c4
- (id)sampleThread:(unsigned)thread;	// 0x2d0a8
- (BOOL)start;	// 0x2cf1c
- (BOOL)stop;	// 0x2ce4c
- (BOOL)waitUntilDone;	// 0x2cd80
// converted property setter: - (void)setSamplingInterval:(double)interval;	// 0x2bca8
// converted property getter: - (double)samplingInterval;	// 0x2bcd0
// converted property setter: - (void)setTimeLimit:(double)limit;	// 0x2bcec
// converted property getter: - (double)timeLimit;	// 0x2bd14
// converted property setter: - (void)setSampleLimit:(unsigned)limit;	// 0x2bd30
// converted property getter: - (unsigned)sampleLimit;	// 0x2bd44
- (void)setRecordThreadStates:(BOOL)states;	// 0x2bd58
// converted property setter: - (void)setShouldOutputSignature:(BOOL)outputSignature;	// 0x2bd6c
// converted property getter: - (BOOL)shouldOutputSignature;	// 0x2bd80
// converted property getter: - (CSTypeRef)symbolicator;	// 0x2bd98
// converted property getter: - (int)pid;	// 0x2bdbc
// converted property getter: - (id)samples;	// 0x2cd50
- (unsigned)sampleCount;	// 0x2bdd0
- (void)flushData;	// 0x2ccd0
// converted property getter: - (unsigned)mainThread;	// 0x2bde4
- (id)threadNameForThread:(unsigned)thread returnedThreadId:(unsigned long long *)anId returnedDispatchQueueSerialNum:(unsigned long long *)num;	// 0x2cc6c
- (id)threadNameForThread:(unsigned)thread;	// 0x2cc40
- (id)dispatchQueueNameForSerialNumber:(unsigned long long)serialNumber returnedConcurrentFlag:(BOOL *)flag returnedThreadId:(unsigned long long *)anId;	// 0x2cbb0
- (id)dispatchQueueNameForSerialNumber:(unsigned long long)serialNumber;	// 0x2cb80
// converted property setter: - (void)setDelegate:(id)delegate;	// 0x2bdf8
// converted property getter: - (id)delegate;	// 0x2be0c
- (void)preloadSymbols;	// 0x2cb34
- (void)sampleForDuration:(unsigned)duration interval:(unsigned)interval;	// 0x2caac
- (void)stopSampling;	// 0x2ca9c
- (void)forceStop;	// 0x2ca8c
- (id)stopSamplingAndReturnCallNode;	// 0x2c970
- (void)writeOutput:(id)output append:(BOOL)append;	// 0x2c18c
@end
