/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/VoiceServices.framework/VoiceServices
 */

#import <VoiceServices/XXUnknownSuperclass.h>
#import <VoiceServices/VoiceServices-Structs.h>

@class VSSpeechSynthesizer, NSString, NSArray, VSRecognitionAction;
@protocol VSRecognitionSessionDelegate;

@interface VSRecognitionSession : XXUnknownSuperclass {
	NSString *_modelIdentifier;	// 4 = 0x4
	void *_keepAlive;	// 8 = 0x8
	id<VSRecognitionSessionDelegate> _delegate;	// 12 = 0xc
	VSRecognitionAction *_currentAction;	// 16 = 0x10
	NSArray *_topLevelKeywords;	// 20 = 0x14
	id _handlingThread;	// 24 = 0x18
	VSSpeechSynthesizer *_synthesizer;	// 28 = 0x1c
	NSString *_languageID;	// 32 = 0x20
	NSString *_debugDumpPath;	// 36 = 0x24
	NSString *_audioInputPath;	// 40 = 0x28
	double _levelInterval;	// 44 = 0x2c
	unsigned _keywordPhase;	// 52 = 0x34
	struct {
		unsigned delegateWillBegin : 1;
		unsigned delegateBegin : 1;
		unsigned delegateOpenURL : 1;
		unsigned delegateFinishedSpeaking : 1;
		unsigned delegateComplete : 1;
		unsigned debugDumpEnabled : 1;
		unsigned preferredEngine : 2;
		unsigned performHandlerActions : 1;
		unsigned allowSensitiveActions : 1;
		unsigned bluetoothAllowed : 1;
		unsigned resetNextAction : 1;
		unsigned isSpeaking : 1;
		unsigned actionBegan : 1;
		unsigned actionBeginning : 1;
		unsigned actionBeginDeferred : 1;
		unsigned invalid : 1;
		unsigned observeKeywordChange : 1;
	} _sessionFlags;	// 56 = 0x38
}
@property(assign) BOOL sensitiveActionsEnabled;	// G=0x6185; S=0x6165; converted property
@property(readonly, retain) NSString *debugDumpPath;	// G=0x619d; converted property
- (void)_init;	// 0x701d
- (id)init;	// 0x7071
- (id)initWithModelIdentifier:(id)modelIdentifier;	// 0x7c41
- (void)dealloc;	// 0x7af5
- (void)setDelegate:(id)delegate;	// 0x61cd
- (id)beginNextAction;	// 0x78b5
- (id)reset;	// 0x77dd
- (BOOL)isRecognizing;	// 0x62f1
- (BOOL)isActivelyRecognizing;	// 0x6329
- (BOOL)isFinished;	// 0x60e9
- (BOOL)isValid;	// 0x6101
- (BOOL)hasDeferredAction;	// 0x611d
- (BOOL)isBusy;	// 0x6131
- (BOOL)nextActionWillTerminateSession;	// 0x6361
- (BOOL)nextActionWillRecognize;	// 0x6391
// converted property setter: - (void)setSensitiveActionsEnabled:(BOOL)enabled;	// 0x6165
// converted property getter: - (BOOL)sensitiveActionsEnabled;	// 0x6185
- (BOOL)setBluetoothInputAllowed:(BOOL)allowed;	// 0x63cd
- (id)cancelMaintainingKeepAlive:(BOOL)alive;	// 0x76c5
- (id)cancel;	// 0x6435
- (void)_actionCompleted:(id)completed nextAction:(id)action error:(id)error;	// 0x6449
- (BOOL)_actionStarted:(id)started;	// 0x6675
- (void)_notifyDelegateActionStarted;	// 0x670d
- (id)_notifyDelegateOpenURL:(id)url;	// 0x6749
- (void)_setAction:(id)action;	// 0x678d
- (id)_currentRecognizeAction;	// 0x6995
- (id)_recognitionResultHandlingThread;	// 0x69f5
- (void)recognitionResultHandlingThread:(id)thread didHandleResults:(id)results nextAction:(id)action;	// 0x6a55
- (id)spokenFeedbackString;	// 0x6a85
- (id)spokenFeedbackAttributedString;	// 0x6aa5
- (id)displayResultString;	// 0x6ac5
- (id)displayStatusString;	// 0x6ae5
- (void)setInputLevelUpdateInterval:(double)interval;	// 0x6b05
- (float)inputLevel;	// 0x6b5d
- (void)setKeywordPhase:(unsigned)phase;	// 0x6b99
- (id)keywordAtIndex:(int)index;	// 0x6bdd
- (int)keywordCount;	// 0x6c09
- (CFDictionaryRef)_createKeywordIndex;	// 0x7601
- (id)_createPhaseSortedKeywordsFromArray:(id)array;	// 0x73b5
- (id)_topLevelKeywords;	// 0x72fd
- (id)_keywordsForModelIdentifier:(id)modelIdentifier;	// 0x726d
- (void)_keywordIndexChanged;	// 0x6c45
- (id)beginSpeakingFeedbackString;	// 0x71a9
- (id)beginSpeakingString:(id)string;	// 0x6cdd
- (id)_beginSpeakingAttributedString:(id)string;	// 0x6d29
- (id)_beginSpeakingString:(id)string attributedString:(id)string2;	// 0x70b9
- (void)_notifyDelegateFinishedSpeakingWithError:(id)error;	// 0x6d75
- (void)speechSynthesizer:(id)synthesizer didFinishSpeaking:(BOOL)speaking withError:(id)error;	// 0x6db5
- (BOOL)setDebugDumpEnabled:(BOOL)enabled;	// 0x6e05
// converted property getter: - (id)debugDumpPath;	// 0x619d
- (BOOL)setNextRecognitionAudioInputPath:(id)path;	// 0x6ed9
- (BOOL)setNextRecognitionRequiresReset:(BOOL)reset;	// 0x6f4d
- (BOOL)setPreferredEngine:(int)engine;	// 0x6fb9
- (void)setPerformRecognitionHandlerActions:(BOOL)actions;	// 0x61ad
@end
