/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/WebBookmarks.framework/WebBookmarks
 */

#import <WebBookmarks/WebBookmarks-Structs.h>
#import <WebBookmarks/WebBookmarkCollection.h>
#import <WebBookmarks/XXUnknownSuperclass.h>

@class WebBookmark;

@interface WebBookmarkCollection : XXUnknownSuperclass {
	sqlite3 *_db;	// 4 = 0x4
	CFLocaleRef _locale;	// 8 = 0x8
	CFStringTokenizerRef _wordTokenizer;	// 12 = 0xc
	WebBookmark *_rootBookmark;	// 16 = 0x10
	BOOL _merging;	// 20 = 0x14
	BOOL _dirty;	// 21 = 0x15
}
@property(assign, nonatomic, getter=isMerging) BOOL merging;	// G=0x238d; S=0x239d; @synthesize=_merging
@property(readonly, retain) WebBookmark *rootBookmark;	// G=0x2451; converted property
+ (id)safariDirectoryPath;	// 0x27b1
+ (id)safariBookmarkCollection;	// 0x26e9
- (id)initWithPath:(id)path;	// 0x50bd
- (BOOL)_openDatabaseAtPath:(id)path error:(id *)error;	// 0x4eed
- (id)initWithPath:(id)path migratingBookmarksPlist:(id)plist syncAnchorPlist:(id)plist3;	// 0x23ad
- (void)dealloc;	// 0x4e5d
- (BOOL)vacuum;	// 0x23fd
- (void)localeSettingsChanged;	// 0x4d1d
- (id)bookmarkWithID:(unsigned)anId;	// 0x4c6d
- (id)bookmarkWithUUID:(id)uuid;	// 0x4bb5
- (id)bookmarksBarBookmark;	// 0x2429
- (id)readingListFolder;	// 0x243d
- (id)bookmarkAtPath:(id)path;	// 0x483d
// converted property getter: - (id)rootBookmark;	// 0x2451
- (id)subfoldersOfID:(unsigned)anId;	// 0x4759
- (id)listWithID:(unsigned)anId;	// 0x2495
- (id)listWithSpecialID:(unsigned)specialID;	// 0x24a9
- (id)listWithID:(unsigned)anId skipOffset:(unsigned)offset;	// 0x2511
- (id)listWithID:(unsigned)anId skipOffset:(unsigned)offset includeHidden:(BOOL)hidden;	// 0x2535
- (id)rootList;	// 0x25f9
- (id)bookmarksBarList;	// 0x260d
- (id)_readingListWithUnreadOnly:(BOOL)unreadOnly;	// 0x4665
- (id)readingList;	// 0x2621
- (unsigned)readingListFolderBookmarkID;	// 0x45f9
- (id)unreadReadingList;	// 0x2635
- (id)readingListItemsWithIconData:(BOOL)iconData unreadOnly:(BOOL)only;	// 0x4449
- (BOOL)saveBookmark:(id)bookmark;	// 0x42b9
- (BOOL)deleteBookmark:(id)bookmark;	// 0x4159
- (BOOL)moveBookmark:(id)bookmark toFolderWithID:(unsigned)anId;	// 0x3bd1
- (BOOL)_moveBookmark:(id)bookmark toIndex:(unsigned)index;	// 0x38e9
- (BOOL)reorderBookmark:(id)bookmark toIndex:(unsigned)index;	// 0x2649
- (BOOL)reorderList:(id)list moveBookmarkAtIndex:(unsigned)index toIndex:(unsigned)index3;	// 0x3811
- (sqlite3_stmt *)_prefixSearch:(id)search usingColumns:(const char *)columns maxCount:(unsigned)count;	// 0x3641
- (void)retrieveBookmarksMatchingString:(id)string delegate:(id)delegate userInfo:(void *)info;	// 0x34c1
- (id)bookmarksMatchingString:(id)string;	// 0x31e1
- (id)_bookmarksFromStatementSelectingIDs:(const char *)statementSelectingIDs withQuery:(id)query;	// 0x2e55
- (id)bookmarksWithTitlesMatchingString:(id)titlesMatchingString;	// 0x2e11
- (id)bookmarksWithURLsMatchingString:(id)urlsMatchingString;	// 0x2dcd
- (id)firstReadingListBookmarkWithURLMatchingString:(id)urlmatchingString prefixMatch:(BOOL)match;	// 0x2cd1
- (id)firstReadingListBookmarkWithIconDataWithBaseURL:(id)baseURL;	// 0x2a5d
- (unsigned)indexOfReadingListBookmark:(id)readingListBookmark countingOnlyUnread:(BOOL)unread;	// 0x2845
// declared property getter: - (BOOL)isMerging;	// 0x238d
// declared property setter: - (void)setMerging:(BOOL)merging;	// 0x239d
@end

@interface WebBookmarkCollection (Sync)
+ (BOOL)lockSync;	// 0x6a61
+ (void)unlockSync;	// 0x6afd
+ (void)_postBookmarksChangedSyncNotification;	// 0x6b51
- (id)_bookmarkDictionaryForSqliteRow:(sqlite3_stmt *)sqliteRow recursive:(BOOL)recursive error:(id *)error;	// 0x580d
- (BOOL)_addChildrenOfID:(unsigned)anId toCollection:(id)collection recursive:(BOOL)recursive error:(id *)error;	// 0x5abd
- (id)bookmarksDictionary;	// 0x5c29
- (BOOL)_syncAdd:(id)add toParent:(unsigned)parent withOrderIndex:(unsigned)orderIndex error:(id *)error;	// 0x5ef5
- (BOOL)_mergeChildrenOfID:(unsigned)anId referencingBase:(id)base error:(id *)error;	// 0x6031
- (BOOL)_markSpecialBookmarks;	// 0x555d
- (BOOL)mergeWithBookmarksDictionary:(id)bookmarksDictionary clearHidden:(BOOL)hidden error:(id *)error;	// 0x559d
- (unsigned)generation;	// 0x56a5
- (BOOL)_syncPropertyExistsForKey:(id)key;	// 0x61c1
- (BOOL)_deleteSyncPropertyForKey:(id)key;	// 0x62e1
- (BOOL)syncSetString:(id)string forKey:(id)key;	// 0x63f1
- (id)syncStringForKey:(id)key;	// 0x6571
- (BOOL)setSyncData:(id)data forKey:(id)key;	// 0x66ad
- (id)syncDataForKey:(id)key;	// 0x684d
- (BOOL)beginSyncTransaction;	// 0x6999
- (void)commitSyncTransaction;	// 0x56c1
- (void)rollbackSyncTransaction;	// 0x56dd
@end

@interface WebBookmarkCollection (PrivateMethods)
- (id)_uniqueExternalUUID;	// 0x6bfd
- (int)_orderIndexForBookmarkInsertedIntoParent:(unsigned)bookmarkInsertedIntoParent insertAtBeginning:(BOOL)beginning;	// 0x7af9
- (id)_bookmarkWithSpecialID:(unsigned)specialID;	// 0x7c95
- (id)_firstBookmarkWithURLMatchingString:(id)urlmatchingString prefixMatch:(BOOL)match inParent:(unsigned)parent;	// 0x7f81
- (id)_mergeCandidateFolderWithTitle:(id)title parent:(unsigned)parent;	// 0x8165
- (id)_mergeCandidateBookmarkWithAddress:(id)address parent:(unsigned)parent;	// 0x82d1
- (id)_bookmarksInListWhere:(id)listWhere fromIndex:(unsigned)index toIndex:(unsigned)index3;	// 0x7dcd
- (int)_userVersion;	// 0x6c3d
- (void)_createSchema;	// 0x8a59
- (void)_clearAndCreateBookmarksTitleWordTable;	// 0x6c59
- (void)_clearAndCreateAncestorTable;	// 0x6cb5
- (void)_clearAndCreateBookmarksTables;	// 0x6d35
- (void)_migrateSchemaVersion0ToVersion1;	// 0x6e21
- (void)_migrateSchemaVersion1And2ToVersion3;	// 0x6ec5
- (void)_migrateSchemaVersion3ToVersion4;	// 0x6f69
- (void)_migrateSchemaVersion4ToVersion5;	// 0x7bb1
- (void)_migrateSchemaVersion5ToVersion6;	// 0x6ff9
- (void)_migrateSchemaVersion6ToVersion7;	// 0x7055
- (void)_migrateSchemaVersion7ToVersion8;	// 0x70f9
- (void)_migrateSchemaVersion8ToVersion9;	// 0x7155
- (void)_migrateSchemaVersion9ToVersion10;	// 0x71d5
- (void)_migrateSchemaVersion10ToVersion11;	// 0x7231
- (void)_migrateSchemaVersion11And12And13ToVersion14;	// 0x728d
- (void)_migrateSchemaVersion14ToVersion15;	// 0x8c95
- (void)_migrateSchemaVersion15ToVersion16;	// 0x72f9
- (void)_migrateSchemaVersion16AndVersion17AndVersion18ToVersion19;	// 0x7355
- (void)_migrateSchemaVersion19And20ToVersion21;	// 0x99e9
- (void)_migrateSchemaVersion21ToVersion22;	// 0xd399
- (void)_migrateSchemaVersion22ToVersion23;	// 0x8de1
- (void)_migrateSchemaVersion23ToVersion24;	// 0x73b1
- (void)_rerunMigrationsIfNecessary;	// 0xa3b9
- (void)_migrateToCurrentSchema;	// 0xa641
- (BOOL)_migrateBookmarksPlist:(id)plist syncAnchorPlist:(id)plist2;	// 0xa7f9
- (BOOL)_importBookmarksPlist:(id)plist;	// 0x741d
- (BOOL)_importSyncAnchorPlist:(id)plist;	// 0x747d
- (void)_normalizeDatabaseURLs;	// 0xab21
- (BOOL)_restoreBookmarkBarIfMissing;	// 0xae01
- (void)_restoreOrMergeReadingListFolderWithChangeNotification:(BOOL)changeNotification;	// 0x843d
- (BOOL)_restoreMissingSpecialBookmarks;	// 0x8a09
- (sqlite3_stmt *)_selectBookmarksWhere:(id)where;	// 0x74e5
- (sqlite3_stmt *)_selectBookmarksWhere:(id)where countOnly:(BOOL)only;	// 0xaf1d
- (int)_finalizeStatementIfNotNull:(sqlite3_stmt *)null;	// 0xafb9
- (id)_errorForMostRecentSQLiteError;	// 0xafcd
- (int)_executeSQL:(id)sql;	// 0xb0a9
- (int)_executeSQLWithCString:(const char *)cstring;	// 0xad89
- (int)_intFromExecutingSQL:(id)executingSQL;	// 0xb5dd
- (BOOL)_insertTombstoneWithServerID:(id)serverID;	// 0x8f39
- (BOOL)_clearAllTombstones;	// 0xada1
- (BOOL)_clearSyncKeysUnderBookmarkID:(unsigned)anId isFolder:(BOOL)folder;	// 0x9041
- (BOOL)_clearAllSyncKeys;	// 0x9139
- (BOOL)_clearAllDAVSyncData;	// 0x9209
- (BOOL)_deleteBookmark:(id)bookmark leaveTombstone:(BOOL)tombstone;	// 0x74f9
- (BOOL)_deleteRecursively:(unsigned)recursively;	// 0x9345
- (BOOL)_addBookmarkWithTitle:(id)title address:(id)address parentID:(unsigned)anId orderIndex:(unsigned)index isFolder:(BOOL)folder externalUUID:(id)uuid associatedBookmark:(id)bookmark reorderSiblings:(BOOL)siblings updateParentChildCount:(BOOL)count updateAncestorEntries:(BOOL)entries;	// 0xb0c1
- (unsigned)_specialIDForBookmarkTitle:(id)bookmarkTitle;	// 0xb6bd
- (unsigned)_specialIDForBookmarkBeingSaved:(id)bookmarkBeingSaved;	// 0xb5f5
- (id)_databaseTitleForSpecialID:(unsigned)specialID;	// 0x6ba5
- (BOOL)_saveBookmark:(id)bookmark withSpecialID:(unsigned)specialID updateGeneration:(BOOL)generation;	// 0xb7bd
- (BOOL)_markBookmarkID:(unsigned)anId withSpecialID:(unsigned)specialID;	// 0xb581
- (BOOL)_updateCachedChildCountForParentID:(unsigned)parentID inDirection:(int)direction;	// 0x7675
- (id)_serverIDForBookmarkID:(unsigned)bookmarkID;	// 0xc161
- (unsigned)_bookmarkIDForServerID:(id)serverID;	// 0x9bd1
- (id)_bookmarkWithServerID:(id)serverID;	// 0x8881
- (BOOL)_setServerID:(id)anId forBookmark:(id)bookmark;	// 0x9f81
- (BOOL)_setSyncKey:(id)key forBookmark:(id)bookmark;	// 0xa0e1
- (BOOL)_setSyncData:(id)data forBookmark:(id)bookmark;	// 0xa241
- (id)_syncKeysForServerIDs:(id)serverIDs;	// 0xc5d9
- (id)_serverIDsInFolderWithServerID:(id)serverID;	// 0xc2a1
- (id)_serverIDAtOrderIndex:(int)orderIndex inFolderWithServerID:(id)serverID;	// 0xc425
- (BOOL)_unsafeOrderChildrenWithServerIDs:(id)serverIDs inFolderWithServerID:(id)serverID;	// 0xcabd
- (BOOL)_orderChildrenWithServerIDs:(id)serverIDs inFolderWithServerID:(id)serverID;	// 0x7731
- (BOOL)_rebuildAncestorTable;	// 0x77b5
- (BOOL)_insertAncestorTableEntriesForBookmarkID:(unsigned)bookmarkID withParentID:(unsigned)parentID;	// 0x9d01
- (BOOL)_insertAncestorTableEntriesForBookmarkID:(unsigned)bookmarkID withAncestorIDs:(id)ancestorIDs;	// 0xc7ed
- (BOOL)_deleteAncestorTableEntriesForBookmarkID:(unsigned)bookmarkID;	// 0x943d
- (BOOL)_updateHiddenAncestorCountForBookmarksUnderFolderID:(unsigned)bookmarksUnderFolderID addingOffset:(int)offset;	// 0x952d
- (void)_normalizeSearchString:(CFStringRef)string;	// 0xcfcd
- (BOOL)_clearTitleWordsForBookmarkID:(unsigned)bookmarkID;	// 0x77fd
- (BOOL)_indexBookmarkID:(unsigned)anId title:(id)title;	// 0xcffd
- (BOOL)_reindexBookmarkID:(unsigned)anId title:(id)title;	// 0x784d
- (BOOL)_indexAllTitleWords;	// 0xa9a1
- (BOOL)_incrementGeneration;	// 0x789d
- (void)_collectChangesOfType:(int)type withClause:(id)clause intoArray:(id)array;	// 0x9629
- (id)_changeList;	// 0x78c9
- (BOOL)_clearChangeList;	// 0x97ed
- (BOOL)_markBookmarkID:(unsigned)anId added:(BOOL)added;	// 0x98fd
- (int)_DAVGeneration;	// 0x7c75
- (BOOL)_incrementDAVGeneration;	// 0xadd1
- (void)_registerForSyncBookmarksFileChangedNotification;	// 0xd2e9
- (void)_postDistributedBookmarksDidReloadNotification;	// 0xd319
- (void)_postDistributedBookmarksDidReloadNotificationIfChangesWereMade;	// 0x79e9
- (void)_postBookmarksFolderContentsDidChangeNotification:(unsigned)_postBookmarksFolderContents;	// 0x7a15
- (void)_postBookmarksSpecialFoldersDidChangeNotification;	// 0x7aad
@end
