/**
 * This header is generated by class-dump-z 0.2b.
 *
 * Source: /System/Library/PrivateFrameworks/iTunesStoreUI.framework/iTunesStoreUI
 */

#import <iTunesStoreUI/SUPurchaseManager.h>
#import <iTunesStoreUI/SUAuthenticationDelegate.h>
#import <iTunesStoreUI/SUContinuationDelegate.h>
#import <iTunesStoreUI/iTunesStoreUI-Structs.h>
#import <iTunesStoreUI/SSDownloadManagerObserver.h>
#import <iTunesStoreUI/XXUnknownSuperclass.h>
#import <iTunesStoreUI/SSPurchaseRequestDelegate.h>

@class SUAuthenticationObserver, NSMutableSet, NSSet, NSMutableArray;
@protocol SUPurchaseManagerDelegate;

@interface SUPurchaseManager : XXUnknownSuperclass <SUAuthenticationDelegate, SUContinuationDelegate, SSDownloadManagerObserver, SSPurchaseRequestDelegate> {
	SUAuthenticationObserver *_authenticationObserver;	// 4 = 0x4
	id<SUPurchaseManagerDelegate> _delegate;	// 8 = 0x8
	NSMutableSet *_futurePurchases;	// 12 = 0xc
	NSMutableSet *_inflightContinuations;	// 16 = 0x10
	NSMutableArray *_observedDownloadManagers;	// 20 = 0x14
	NSMutableArray *_pendingContinuations;	// 24 = 0x18
	NSMutableArray *_pendingPurchases;	// 28 = 0x1c
	NSMutableSet *_purchasedIdentifiers;	// 32 = 0x20
	NSMutableArray *_purchaseRequests;	// 36 = 0x24
	BOOL _shouldExitWhenFinished;	// 40 = 0x28
	BOOL _showingErrorDialogs;	// 41 = 0x29
	int _updatesCount;	// 44 = 0x2c
	BOOL _waitingForAuthentication;	// 48 = 0x30
}
@property(readonly, assign, nonatomic) NSSet *purchasedItemIdentifiers;	// G=0x3318d; @synthesize=_purchasedIdentifiers
@property(readonly, assign, nonatomic) NSSet *futurePurchases;	// G=0x3317d; @synthesize=_futurePurchases
@property(readonly, assign, nonatomic) int numberOfPendingPurchases;	// G=0x31af9; 
@property(assign, nonatomic) id<SUPurchaseManagerDelegate> delegate;	// G=0x3315d; S=0x3316d; @synthesize=_delegate
+ (id)sharedManager;	// 0x31379
+ (void)setSharedManager:(id)manager;	// 0x31325
// declared property getter: - (id)purchasedItemIdentifiers;	// 0x3318d
// declared property getter: - (id)futurePurchases;	// 0x3317d
// declared property setter: - (void)setDelegate:(id)delegate;	// 0x3316d
// declared property getter: - (id)delegate;	// 0x3315d
- (void)_startPurchases:(id)purchases;	// 0x32eb1
- (void)_startContinuations:(id)continuations;	// 0x32e11
- (void)_showDialogsForErrors:(id)errors;	// 0x32d2d
- (void)_removePurchaseRequest:(id)request;	// 0x32cb5
- (void)_removePlaceholdersForPurchase:(id)purchase;	// 0x32cb1
- (void)_performNextAction;	// 0x32b59
- (BOOL)_needsAuthenticationForPurchases:(id)purchases;	// 0x32a01
- (BOOL)_issuePurchaseRequestForPurchases:(id)purchases;	// 0x3276d
- (void)_enqueuePurchases:(id)purchases;	// 0x324fd
- (void)_enqueueExternalDownload:(id)download;	// 0x3236d
- (void)_enqueueContinuations:(id)continuations;	// 0x32309
- (id)_downloadManagerForDownloadKind:(id)downloadKind;	// 0x32141
- (id)_authenticationObserver;	// 0x320bd
- (id)_accountForPurchase:(id)purchase;	// 0x31f3d
- (void)requestDidFinish:(id)request;	// 0x31f2d
- (void)request:(id)request didFailWithError:(id)error;	// 0x31f1d
- (void)purchaseRequest:(id)request purchaseDidSucceed:(id)purchase;	// 0x31ed9
- (void)purchaseRequest:(id)request purchaseDidFail:(id)purchase withError:(id)error;	// 0x31e45
- (void)continuationFinished:(id)finished;	// 0x31dbd
- (void)continuation:(id)continuation failedWithError:(id)error;	// 0x31d81
- (void)authenticationDidTimeout:(id)authentication;	// 0x31d45
- (void)authenticationDidFinish:(id)authentication;	// 0x31d09
- (void)authenticationDidFail:(id)authentication;	// 0x31cbd
- (void)_dialogDidFinish:(id)_dialog;	// 0x31c59
- (void)removePurchasedItemIdentifier:(unsigned long long)identifier;	// 0x31bb5
// declared property getter: - (int)numberOfPendingPurchases;	// 0x31af9
- (id)newPurchaseBatchForItems:(id)items;	// 0x31a65
- (BOOL)itemIdentifierIsPurchasing:(unsigned long long)purchasing;	// 0x31901
- (BOOL)itemIdentifierIsPurchased:(unsigned long long)purchased;	// 0x3188d
- (void)endUpdates;	// 0x31829
- (void)cancelFuturePurchase:(id)purchase;	// 0x31789
- (void)beginUpdates;	// 0x31729
- (void)addPurchasedItemIdentifiers:(id)identifiers;	// 0x31661
- (void)addPurchasedItemIdentifier:(unsigned long long)identifier;	// 0x31579
- (BOOL)addPurchaseBatch:(id)batch;	// 0x3145d
- (void)addFuturePurchase:(id)purchase;	// 0x313bd
- (void)dealloc;	// 0x31105
- (id)init;	// 0x31085
@end

@interface SUPurchaseManager (SUScriptAdditions)
- (id)_newPurchaseBatchForPurchases:(id)purchases;	// 0x82a2d
- (id)_newExternalDownloadWithItemDictionary:(id)itemDictionary;	// 0x829ad
- (id)_newExternalDownloadWithDownloadDictionary:(id)downloadDictionary;	// 0x82925
- (id)_newExternalDownloadWithDictionary:(id)dictionary;	// 0x828d9
- (id)_newDictionaryForWebScriptValue:(id)webScriptValue inContext:(OpaqueJSContext *)context;	// 0x82839
- (void)_addBatchForPurchases:(id)purchases options:(id)options;	// 0x826f1
- (void)purchaseScriptObject:(id)object withOptions:(id)options inContext:(OpaqueJSContext *)context;	// 0x82429
- (void)purchaseScriptObject:(id)object;	// 0x82409
- (void)enqueueScriptPurchases:(id)purchases;	// 0x823c5
- (id)copyPurchaseForScriptObject:(id)scriptObject inContext:(OpaqueJSContext *)context;	// 0x81d71
- (id)copyPurchaseForScriptObject:(id)scriptObject;	// 0x81d5d
- (void)addExternalDownloads:(id)downloads withOptions:(id)options inContext:(OpaqueJSContext *)context;	// 0x81bd5
- (void)addExternalDownloads:(id)downloads inContext:(OpaqueJSContext *)context;	// 0x81bb5
@end
